library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;

entity counter8 is
    Port ( clk : in std_logic;
	        en : in std_logic;
			  rst : in std_logic;
			  count : out std_logic_vector (7 downto 0));
end counter8;

architecture behav of counter8 is

signal cnt : std_logic_vector (7 downto 0);

begin

process (clk, en, cnt, rst)
   begin
	if (rst = '1') then
	   cnt <= (others => '0');
   elsif (clk'event and clk = '1') then
	   if (en = '1') then
		cnt <= cnt + '1';
   end if;
	end if;
end process;
	count <= cnt;

end behav;
