library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux1 is
    Port ( A : in std_logic;
           B : in std_logic;
           Q : out std_logic;
           SEL : in std_logic);
end entity mux1;

architecture behavioral of mux1 is

begin

mu: process (A, B, SEL) 
    begin
  case SEL is
         when '0' => Q <= A;
         when others => Q <= B;
   end case;        
   end process mu;

end architecture behavioral;
