library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux8 is
    Port ( A : in std_logic_vector(7 downto 0);
           B : in std_logic_vector(7 downto 0);
           Q : out std_logic_vector(7 downto 0);
           SEL : in std_logic);
end entity mux8;

architecture behavioral of mux8 is

begin

mu: process (A, B, SEL) 
    begin
  case SEL is
         when '0' => Q <= A;
         when others => Q <= B;
   end case;        
   end process mu;

end architecture behavioral;
