-- VHDL model created from C:\Xilinx\virtex2\data\drawing\or8.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity OR8_MXILINX_ccb is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          I6 : in    std_logic; 
          I7 : in    std_logic; 
          O  : out   std_logic);
end OR8_MXILINX_ccb;

architecture BEHAVIORAL of OR8_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal dummy   : std_logic;
   signal S0      : std_logic;
   signal S1      : std_logic;
   signal O_DUMMY : std_logic;
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_91 : LABEL is "X0Y1";
   attribute RLOC of I_36_116 : LABEL is "X0Y0";
   attribute RLOC of I_36_117 : LABEL is "X0Y0";
begin
   O <= O_DUMMY;
   I_36_91 : FMAP
      port map (I1=>S0, I2=>S1, I3=>dummy, I4=>dummy, O=>O_DUMMY);
   
   I_36_94 : OR2
      port map (I0=>S0, I1=>S1, O=>O_DUMMY);
   
   I_36_95 : OR4
      port map (I0=>I4, I1=>I5, I2=>I6, I3=>I7, O=>S1);
   
   I_36_112 : OR4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I3, O=>S0);
   
   I_36_116 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I3, O=>S0);
   
   I_36_117 : FMAP
      port map (I1=>I4, I2=>I5, I3=>I6, I4=>I7, O=>S1);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\or7.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity OR7_MXILINX_ccb is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          I6 : in    std_logic; 
          O  : out   std_logic);
end OR7_MXILINX_ccb;

architecture BEHAVIORAL of OR7_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal I36     : std_logic;
   signal O_DUMMY : std_logic;
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_110 : LABEL is "X0Y0";
   attribute RLOC of I_36_111 : LABEL is "X0Y0";
begin
   O <= O_DUMMY;
   I_36_89 : OR4
      port map (I0=>I3, I1=>I4, I2=>I5, I3=>I6, O=>I36);
   
   I_36_90 : OR4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I36, O=>O_DUMMY);
   
   I_36_110 : FMAP
      port map (I1=>I3, I2=>I4, I3=>I5, I4=>I6, O=>I36);
   
   I_36_111 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I36, O=>O_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\and6.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity AND6_MXILINX_ccb is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          O  : out   std_logic);
end AND6_MXILINX_ccb;

architecture BEHAVIORAL of AND6_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal dummy   : std_logic;
   signal I35     : std_logic;
   signal O_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_93 : LABEL is "X0Y0";
   attribute RLOC of I_36_94 : LABEL is "X0Y0";
begin
   O <= O_DUMMY;
   I_36_69 : AND3
      port map (I0=>I3, I1=>I4, I2=>I5, O=>I35);
   
   I_36_85 : AND4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I35, O=>O_DUMMY);
   
   I_36_93 : FMAP
      port map (I1=>I3, I2=>I4, I3=>I5, I4=>dummy, O=>I35);
   
   I_36_94 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I35, O=>O_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\d4_16e.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity D4_16E_MXILINX_ccb is
   port ( A0  : in    std_logic; 
          A1  : in    std_logic; 
          A2  : in    std_logic; 
          A3  : in    std_logic; 
          E   : in    std_logic; 
          D0  : out   std_logic; 
          D1  : out   std_logic; 
          D2  : out   std_logic; 
          D3  : out   std_logic; 
          D4  : out   std_logic; 
          D5  : out   std_logic; 
          D6  : out   std_logic; 
          D7  : out   std_logic; 
          D8  : out   std_logic; 
          D9  : out   std_logic; 
          D10 : out   std_logic; 
          D11 : out   std_logic; 
          D12 : out   std_logic; 
          D13 : out   std_logic; 
          D14 : out   std_logic; 
          D15 : out   std_logic);
end D4_16E_MXILINX_ccb;

architecture BEHAVIORAL of D4_16E_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   component AND5B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B3 : COMPONENT is "BLACK_BOX";
   
   component AND5B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B2 : COMPONENT is "BLACK_BOX";
   
   component AND5B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B1 : COMPONENT is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component AND5B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B4 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_53 : AND5B3
      port map (I0=>A0, I1=>A1, I2=>A2, I3=>A3, I4=>E, O=>D8);
   
   I_36_54 : AND5B2
      port map (I0=>A1, I1=>A2, I2=>E, I3=>A3, I4=>A0, O=>D9);
   
   I_36_55 : AND5B2
      port map (I0=>A0, I1=>A2, I2=>E, I3=>A3, I4=>A1, O=>D10);
   
   I_36_56 : AND5B1
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>A3, I4=>E, O=>D11);
   
   I_36_57 : AND5B2
      port map (I0=>A0, I1=>A1, I2=>E, I3=>A3, I4=>A2, O=>D12);
   
   I_36_58 : AND5B1
      port map (I0=>A1, I1=>A0, I2=>A2, I3=>A3, I4=>E, O=>D13);
   
   I_36_59 : AND5B1
      port map (I0=>A0, I1=>A1, I2=>A2, I3=>A3, I4=>E, O=>D14);
   
   I_36_60 : AND5
      port map (I0=>A3, I1=>A2, I2=>A1, I3=>A0, I4=>E, O=>D15);
   
   I_36_61 : AND5B2
      port map (I0=>A3, I1=>A0, I2=>E, I3=>A2, I4=>A1, O=>D6);
   
   I_36_62 : AND5B1
      port map (I0=>A3, I1=>A2, I2=>A1, I3=>A0, I4=>E, O=>D7);
   
   I_36_63 : AND5B2
      port map (I0=>A3, I1=>A1, I2=>E, I3=>A2, I4=>A0, O=>D5);
   
   I_36_64 : AND5B3
      port map (I0=>A0, I1=>A1, I2=>A3, I3=>A2, I4=>E, O=>D4);
   
   I_36_65 : AND5B2
      port map (I0=>A2, I1=>A3, I2=>E, I3=>A0, I4=>A1, O=>D3);
   
   I_36_66 : AND5B3
      port map (I0=>A0, I1=>A3, I2=>A2, I3=>A1, I4=>E, O=>D2);
   
   I_36_67 : AND5B3
      port map (I0=>A1, I1=>A2, I2=>A3, I3=>A0, I4=>E, O=>D1);
   
   I_36_68 : AND5B4
      port map (I0=>A3, I1=>A2, I2=>A1, I3=>A0, I4=>E, O=>D0);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\or6.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity OR6_MXILINX_ccb is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          O  : out   std_logic);
end OR6_MXILINX_ccb;

architecture BEHAVIORAL of OR6_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal dummy   : std_logic;
   signal I35     : std_logic;
   signal O_DUMMY : std_logic;
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_106 : LABEL is "X0Y0";
   attribute RLOC of I_36_107 : LABEL is "X0Y0";
begin
   O <= O_DUMMY;
   I_36_87 : OR4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I35, O=>O_DUMMY);
   
   I_36_88 : OR3
      port map (I0=>I3, I1=>I4, I2=>I5, O=>I35);
   
   I_36_106 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I35, O=>O_DUMMY);
   
   I_36_107 : FMAP
      port map (I1=>I3, I2=>I4, I3=>I5, I4=>dummy, O=>I35);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\nor12.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity NOR12_MXILINX_ccb is
   port ( I0  : in    std_logic; 
          I1  : in    std_logic; 
          I2  : in    std_logic; 
          I3  : in    std_logic; 
          I4  : in    std_logic; 
          I5  : in    std_logic; 
          I6  : in    std_logic; 
          I7  : in    std_logic; 
          I8  : in    std_logic; 
          I9  : in    std_logic; 
          I10 : in    std_logic; 
          I11 : in    std_logic; 
          O   : out   std_logic);
end NOR12_MXILINX_ccb;

architecture BEHAVIORAL of NOR12_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal dummy   : std_logic;
   signal S0      : std_logic;
   signal S1      : std_logic;
   signal S2      : std_logic;
   signal O_DUMMY : std_logic;
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_29 : LABEL is "X0Y0";
   attribute RLOC of I_36_138 : LABEL is "X0Y0";
   attribute RLOC of I_36_142 : LABEL is "X0Y1";
   attribute RLOC of I_36_185 : LABEL is "X0Y1";
begin
   O <= O_DUMMY;
   I_36_29 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I3, O=>S0);
   
   I_36_110 : OR4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I3, O=>S0);
   
   I_36_127 : OR4
      port map (I0=>I4, I1=>I5, I2=>I6, I3=>I7, O=>S1);
   
   I_36_138 : FMAP
      port map (I1=>I4, I2=>I5, I3=>I6, I4=>I7, O=>S1);
   
   I_36_142 : FMAP
      port map (I1=>I8, I2=>I9, I3=>I10, I4=>I11, O=>S2);
   
   I_36_151 : OR4
      port map (I0=>I8, I1=>I9, I2=>I10, I3=>I11, O=>S2);
   
   I_36_176 : NOR3
      port map (I0=>S0, I1=>S1, I2=>S2, O=>O_DUMMY);
   
   I_36_185 : FMAP
      port map (I1=>S0, I2=>S1, I3=>S2, I4=>dummy, O=>O_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\virtex2\data\drawing\and8.sch - Mon Feb 25 11:49:54 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity AND8_MXILINX_ccb is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          I6 : in    std_logic; 
          I7 : in    std_logic; 
          O  : out   std_logic);
end AND8_MXILINX_ccb;

architecture BEHAVIORAL of AND8_MXILINX_ccb is
   attribute BOX_TYPE   : STRING ;
   attribute RLOC       : STRING ;
   signal dummy   : std_logic;
   signal S0      : std_logic;
   signal S1      : std_logic;
   signal O_DUMMY : std_logic;
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   attribute RLOC of I_36_29 : LABEL is "X0Y0";
   attribute RLOC of I_36_138 : LABEL is "X0Y0";
   attribute RLOC of I_36_152 : LABEL is "X0Y1";
begin
   O <= O_DUMMY;
   I_36_29 : FMAP
      port map (I1=>I0, I2=>I1, I3=>I2, I4=>I3, O=>S0);
   
   I_36_110 : AND4
      port map (I0=>I0, I1=>I1, I2=>I2, I3=>I3, O=>S0);
   
   I_36_127 : AND4
      port map (I0=>I4, I1=>I5, I2=>I6, I3=>I7, O=>S1);
   
   I_36_138 : FMAP
      port map (I1=>I4, I2=>I5, I3=>I6, I4=>I7, O=>S1);
   
   I_36_142 : AND2
      port map (I0=>S0, I1=>S1, O=>O_DUMMY);
   
   I_36_152 : FMAP
      port map (I1=>S0, I2=>S1, I3=>dummy, I4=>dummy, O=>O_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from ccb.sch - Mon Feb 25 11:49:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity ccb is
   port ( ASYNCP_TTC         : in    std_logic; 
          CLOCK_Q            : in    std_logic; 
          CLOCK_TTC          : in    std_logic; 
          CLOCK_VME          : in    std_logic; 
          CLOCK_80           : in    std_logic; 
          FPGA_INPUT1        : in    std_logic; 
          FPGA_INPUT2        : in    std_logic; 
          FPGA_INPUT3        : in    std_logic; 
          FPGA_INPUT4        : in    std_logic; 
          FPGA_RESET         : in    std_logic; 
          I_DMB_L1A_RELEASE  : in    std_logic; 
          I_DMB_RESERVED_IN0 : in    std_logic; 
          I_DMB_RESERVED_IN1 : in    std_logic; 
          I_DMB_RESERVED_IN2 : in    std_logic; 
          I_TMB_L1A_RELEASE  : in    std_logic; 
          I_TMB_L1A_REQUEST  : in    std_logic; 
          I_TMB_RESERVED_IN0 : in    std_logic; 
          I_TMB_RESERVED_IN1 : in    std_logic; 
          I_TMB_RESERVED_IN2 : in    std_logic; 
          I_TMB_RESERVED_IN3 : in    std_logic; 
          I_TMB_RESERVED_IN4 : in    std_logic; 
          QP_ERR             : in    std_logic; 
          QP_LOCK            : in    std_logic; 
          T_BCNT             : in    std_logic_vector (11 downto 0); 
          T_BCNTRES          : in    std_logic; 
          T_BCNTSTR          : in    std_logic; 
          T_BRCST            : in    std_logic_vector (7 downto 2); 
          T_BRCSTSTR1        : in    std_logic; 
          T_BRCSTSTR2        : in    std_logic; 
          T_DBERRSTR         : in    std_logic; 
          T_DO               : in    std_logic_vector (7 downto 0); 
          T_DOUTSTR          : in    std_logic; 
          T_DQ               : in    std_logic_vector (3 downto 0); 
          T_EVCNTHSTR        : in    std_logic; 
          T_EVCNTLSTR        : in    std_logic; 
          T_EVCNTRES         : in    std_logic; 
          T_L1ACC            : in    std_logic; 
          T_READY            : in    std_logic; 
          T_SINERRSTR        : in    std_logic; 
          T_SUBADD           : in    std_logic_vector (7 downto 0); 
          VME_AM0            : in    std_logic; 
          VME_AM1            : in    std_logic; 
          VME_AM2            : in    std_logic; 
          VME_AM3            : in    std_logic; 
          VME_AM4            : in    std_logic; 
          VME_AM5            : in    std_logic; 
          VME_AS             : in    std_logic; 
          VME_A0             : in    std_logic; 
          VME_A1             : in    std_logic; 
          VME_A2             : in    std_logic; 
          VME_A3             : in    std_logic; 
          VME_A4             : in    std_logic; 
          VME_A5             : in    std_logic; 
          VME_A6             : in    std_logic; 
          VME_A7             : in    std_logic; 
          VME_A8             : in    std_logic; 
          VME_A9             : in    std_logic; 
          VME_A10            : in    std_logic; 
          VME_A11            : in    std_logic; 
          VME_A12            : in    std_logic; 
          VME_A13            : in    std_logic; 
          VME_A14            : in    std_logic; 
          VME_A15            : in    std_logic; 
          VME_DEC            : in    std_logic; 
          VME_DS0            : in    std_logic; 
          VME_DS1            : in    std_logic; 
          VME_IACK           : in    std_logic; 
          VME_RES            : in    std_logic; 
          VME_WR             : in    std_logic; 
          C_HR               : out   std_logic; 
          FPGA_DACK          : out   std_logic; 
          FPGA_LOCK          : out   std_logic; 
          FPGA_OUT1          : out   std_logic; 
          FPGA_OUT2          : out   std_logic; 
          FPGA_OUT3          : out   std_logic; 
          FPGA_OUT4          : out   std_logic; 
          FPGA_OUT5          : out   std_logic; 
          FPGA_SIG1          : out   std_logic; 
          FPGA_SIG2          : out   std_logic; 
          FPGA_SIG3          : out   std_logic; 
          FPGA_SIG4          : out   std_logic; 
          FPGA_SIG5          : out   std_logic; 
          FPGA_SIG6          : out   std_logic; 
          FPGA_SIG7          : out   std_logic; 
          FPGA_SIG8          : out   std_logic; 
          FPGA_SIG9          : out   std_logic; 
          FPGA_SIG10         : out   std_logic; 
          FPGA_SIG11         : out   std_logic; 
          FPGA_SIG12         : out   std_logic; 
          FPGA_SIG13         : out   std_logic; 
          FPGA_SIG14         : out   std_logic; 
          FPGA_SIG15         : out   std_logic; 
          QP_EXCNT           : out   std_logic; 
          QP_FSEL0           : out   std_logic; 
          QP_FSEL1           : out   std_logic; 
          QP_FSEL2           : out   std_logic; 
          QP_FSEL3           : out   std_logic; 
          QP_MODE            : out   std_logic; 
          QP_RESET           : out   std_logic; 
          QP_RESTART         : out   std_logic; 
          RESET_TTCRX        : out   std_logic; 
          TP19               : out   std_logic; 
          TTC_LED            : out   std_logic; 
          VV_PULSE_A         : out   std_logic; 
          V_ALCT_ET          : out   std_logic; 
          V_ALCT_HR          : out   std_logic; 
          V_BCNTRES          : out   std_logic; 
          V_BX0              : out   std_logic; 
          V_CFEB0            : out   std_logic; 
          V_CFEB1            : out   std_logic; 
          V_CFEB2            : out   std_logic; 
          V_CLCT_ET          : out   std_logic; 
          V_CMDSTR           : out   std_logic; 
          V_CMD0             : out   std_logic; 
          V_CMD1             : out   std_logic; 
          V_CMD2             : out   std_logic; 
          V_CMD3             : out   std_logic; 
          V_CMD4             : out   std_logic; 
          V_CMD5             : out   std_logic; 
          V_DATA             : out   std_logic_vector (7 downto 0); 
          V_DMB_HR           : out   std_logic; 
          V_DMB_SR           : out   std_logic; 
          V_DSTR             : out   std_logic; 
          V_EVCNTRES         : out   std_logic; 
          V_L1A              : out   std_logic; 
          V_L1RESET          : out   std_logic; 
          V_MPC_HR           : out   std_logic; 
          V_MPC_SR           : out   std_logic; 
          V_PULSE_A          : out   std_logic; 
          V_PULSE_S          : out   std_logic; 
          V_TMB_HR           : out   std_logic; 
          V_TMB_SR           : out   std_logic; 
          WL22               : out   std_logic; 
          SERID              : inout std_logic; 
          VME_D              : inout std_logic_vector (15 downto 0));
end ccb;

architecture BEHAVIORAL of ccb is
   attribute IOSTANDARD            : STRING ;
   attribute BOX_TYPE              : STRING ;
   attribute SLEW                  : STRING ;
   attribute DRIVE                 : STRING ;
   attribute HU_SET                : STRING ;
   attribute INIT                  : STRING ;
   attribute CLKDV_DIVIDE          : STRING ;
   attribute DUTY_CYCLE_CORRECTION : STRING ;
   signal ACK                : std_logic;
   signal ACK1               : std_logic;
   signal ASPULSE            : std_logic;
   signal BCN                : std_logic_vector (15 downto 0);
   signal CA2                : std_logic;
   signal CA3                : std_logic;
   signal CA4                : std_logic;
   signal CA5                : std_logic;
   signal CA6                : std_logic;
   signal CA7                : std_logic;
   signal CCFEBA             : std_logic;
   signal CCFEBB             : std_logic;
   signal CCFEBC             : std_logic;
   signal CLOCKA             : std_logic;
   signal CLOCKB             : std_logic;
   signal CLOCKC             : std_logic;
   signal CLOCKD             : std_logic;
   signal CLOCK80            : std_logic;
   signal CMDSTRACNT         : std_logic_vector (15 downto 0);
   signal CMDSTRBNT          : std_logic_vector (15 downto 0);
   signal COM                : std_logic_vector (15 downto 0);
   signal COUNTA             : std_logic_vector (4 downto 0);
   signal COUNTB             : std_logic_vector (4 downto 0);
   signal COUNTC             : std_logic_vector (4 downto 0);
   signal COUNTD             : std_logic_vector (4 downto 0);
   signal COUNTE             : std_logic_vector (4 downto 0);
   signal COUNTJ             : std_logic_vector (15 downto 0);
   signal COUNTK             : std_logic_vector (15 downto 0);
   signal COUNTL             : std_logic_vector (15 downto 0);
   signal COUNTM             : std_logic_vector (15 downto 0);
   signal COUNTN             : std_logic_vector (15 downto 0);
   signal COUNTP             : std_logic_vector (15 downto 0);
   signal COUNTQ             : std_logic_vector (15 downto 0);
   signal COUNTR             : std_logic_vector (15 downto 0);
   signal COUNTX             : std_logic_vector (15 downto 0);
   signal CSRA               : std_logic_vector (15 downto 0);
   signal CSRB               : std_logic_vector (15 downto 0);
   signal CSRC               : std_logic_vector (15 downto 0);
   signal CSRD               : std_logic_vector (15 downto 0);
   signal CSRE               : std_logic_vector (15 downto 0);
   signal CSRF               : std_logic_vector (15 downto 0);
   signal CSRG               : std_logic_vector (15 downto 0);
   signal CSRH               : std_logic_vector (15 downto 0);
   signal CSTR               : std_logic;
   signal CYC                : std_logic;
   signal C_ALCT_ET          : std_logic;
   signal C_ALCT_HR          : std_logic;
   signal C_BX0              : std_logic;
   signal C_CFEB0            : std_logic;
   signal C_CFEB1            : std_logic;
   signal C_CFEB2            : std_logic;
   signal C_CLCT_ET          : std_logic;
   signal C_DMB_HR           : std_logic;
   signal C_DMB_SR           : std_logic;
   signal C_L1RESET          : std_logic;
   signal C_MPC_HR           : std_logic;
   signal C_MPC_SR           : std_logic;
   signal C_PULSE            : std_logic;
   signal C_PULSE_A          : std_logic;
   signal C_PULSE_S          : std_logic;
   signal C_SETHOLD          : std_logic;
   signal C_SR               : std_logic;
   signal C_TMB_HR           : std_logic;
   signal C_TMB_SR           : std_logic;
   signal DA                 : std_logic_vector (7 downto 0);
   signal DATA               : std_logic_vector (15 downto 0);
   signal DATE               : std_logic_vector (15 downto 0);
   signal DATSTRNT           : std_logic_vector (15 downto 0);
   signal DB                 : std_logic_vector (7 downto 0);
   signal DDS0               : std_logic;
   signal DDS1               : std_logic;
   signal DISABLE            : std_logic;
   signal DSTR               : std_logic;
   signal D_ALCT_ET          : std_logic;
   signal D_ALCT_HR          : std_logic;
   signal D_BX0              : std_logic;
   signal D_CFEB0            : std_logic;
   signal D_CFEB1            : std_logic;
   signal D_CFEB2            : std_logic;
   signal D_CLCT_ET          : std_logic;
   signal D_DMB_HR           : std_logic;
   signal D_DMB_SR           : std_logic;
   signal D_HR               : std_logic;
   signal D_L1RESET          : std_logic;
   signal D_MPC_HR           : std_logic;
   signal D_MPC_SR           : std_logic;
   signal D_PULSE            : std_logic;
   signal D_PULSE_A          : std_logic;
   signal D_PULSE_S          : std_logic;
   signal D_SETHOLD          : std_logic;
   signal D_SR               : std_logic;
   signal D_TMB_HR           : std_logic;
   signal D_TMB_SR           : std_logic;
   signal ENAB1              : std_logic;
   signal ENAB2              : std_logic;
   signal ENAB3              : std_logic;
   signal ENAB4              : std_logic;
   signal EN_READ            : std_logic;
   signal EVH                : std_logic_vector (15 downto 0);
   signal EVL                : std_logic_vector (15 downto 0);
   signal EXT_DAT            : std_logic_vector (15 downto 0);
   signal FP_AET             : std_logic;
   signal FP_CET             : std_logic;
   signal FP_L1ACCEPT        : std_logic;
   signal FP_RSV             : std_logic;
   signal IBX0               : std_logic;
   signal ICCBL1A            : std_logic;
   signal ICCBL1AD           : std_logic;
   signal ID                 : std_logic_vector (15 downto 0);
   signal IDATA              : std_logic_vector (15 downto 0);
   signal IL1RESET           : std_logic;
   signal INCOM              : std_logic_vector (15 downto 0);
   signal I_DMB_L1A_REL      : std_logic;
   signal I_TMB_L1A_REL      : std_logic;
   signal I_TMB_L1A_REQ      : std_logic;
   signal LL                 : std_logic;
   signal L1ACCCNT           : std_logic_vector (31 downto 0);
   signal L1A_0              : std_logic;
   signal L1A_1              : std_logic;
   signal L1A_2              : std_logic;
   signal L1A_3              : std_logic;
   signal L1A_4              : std_logic;
   signal L1A_5              : std_logic;
   signal L1A_6              : std_logic;
   signal L1A_7              : std_logic;
   signal MUX                : std_logic;
   signal NA5                : std_logic;
   signal NA6                : std_logic;
   signal NA7                : std_logic;
   signal NCA6               : std_logic;
   signal NCA7               : std_logic;
   signal NDA6               : std_logic;
   signal NDA7               : std_logic;
   signal NWR                : std_logic;
   signal PULSEA             : std_logic;
   signal PULSES             : std_logic;
   signal READ1              : std_logic;
   signal READ2              : std_logic;
   signal READ3              : std_logic;
   signal READ4              : std_logic;
   signal READ5              : std_logic;
   signal READ6              : std_logic;
   signal READ7              : std_logic;
   signal READ8              : std_logic;
   signal READ9              : std_logic;
   signal READ11             : std_logic;
   signal READ12             : std_logic;
   signal READ13             : std_logic;
   signal READ14             : std_logic;
   signal READ15             : std_logic;
   signal READ16             : std_logic;
   signal READ17             : std_logic;
   signal READ18             : std_logic;
   signal READ19             : std_logic;
   signal READ20             : std_logic;
   signal READ21             : std_logic;
   signal READ57             : std_logic;
   signal READ58             : std_logic;
   signal RESDMBHR           : std_logic;
   signal RESET              : std_logic;
   signal RESET_ER           : std_logic;
   signal SET0               : std_logic;
   signal SET1               : std_logic;
   signal SET2               : std_logic;
   signal SET3               : std_logic;
   signal SET5               : std_logic;
   signal SET6               : std_logic;
   signal STAT               : std_logic_vector (15 downto 0);
   signal TA                 : std_logic_vector (11 downto 0);
   signal TB                 : std_logic_vector (11 downto 0);
   signal TC                 : std_logic_vector (11 downto 0);
   signal TEMPC              : std_logic;
   signal TEMPD              : std_logic;
   signal TLQ                : std_logic;
   signal TLR                : std_logic;
   signal TTCID              : std_logic_vector (15 downto 0);
   signal TTCRXRS            : std_logic;
   signal T_L1A              : std_logic;
   signal VME_STR1           : std_logic;
   signal VME_STR2           : std_logic;
   signal WL19               : std_logic;
   signal WL20               : std_logic;
   signal WL21               : std_logic;
   signal WL25               : std_logic;
   signal WL26               : std_logic;
   signal WL27               : std_logic;
   signal WL28               : std_logic;
   signal WL29               : std_logic;
   signal WL30               : std_logic;
   signal WL31               : std_logic;
   signal WL33               : std_logic;
   signal WL34               : std_logic;
   signal WL35               : std_logic;
   signal WL36               : std_logic;
   signal WL37               : std_logic;
   signal WL38               : std_logic;
   signal WL39               : std_logic;
   signal WL40               : std_logic;
   signal WL41               : std_logic;
   signal WL49               : std_logic;
   signal WL50               : std_logic;
   signal WL51               : std_logic;
   signal WL52               : std_logic;
   signal WL53               : std_logic;
   signal WL54               : std_logic;
   signal WL55               : std_logic;
   signal WL56               : std_logic;
   signal WL59               : std_logic;
   signal WL60               : std_logic;
   signal WL61               : std_logic;
   signal WL62               : std_logic;
   signal WL63               : std_logic;
   signal WL64               : std_logic;
   signal WL65               : std_logic;
   signal WL66               : std_logic;
   signal WRH1               : std_logic;
   signal WRH2               : std_logic;
   signal WRH3               : std_logic;
   signal WRH4               : std_logic;
   signal WRH5               : std_logic;
   signal WRH6               : std_logic;
   signal WRH7               : std_logic;
   signal WRH8               : std_logic;
   signal WRL1               : std_logic;
   signal WRL2               : std_logic;
   signal WRL3               : std_logic;
   signal WRL4               : std_logic;
   signal WRL5               : std_logic;
   signal WRL6               : std_logic;
   signal WRL7               : std_logic;
   signal WRL8               : std_logic;
   signal WRONE              : std_logic;
   signal WRZERO             : std_logic;
   signal XLXN_160           : std_logic;
   signal XLXN_166           : std_logic;
   signal XLXN_201           : std_logic;
   signal XLXN_202           : std_logic;
   signal XLXN_203           : std_logic;
   signal XLXN_225           : std_logic;
   signal XLXN_405           : std_logic;
   signal XLXN_409           : std_logic;
   signal XLXN_673           : std_logic;
   signal XLXN_674           : std_logic;
   signal XLXN_675           : std_logic;
   signal XLXN_680           : std_logic;
   signal XLXN_681           : std_logic;
   signal XLXN_682           : std_logic;
   signal XLXN_683           : std_logic;
   signal XLXN_688           : std_logic;
   signal XLXN_689           : std_logic;
   signal XLXN_1187          : std_logic;
   signal XLXN_1188          : std_logic;
   signal XLXN_1194          : std_logic;
   signal XLXN_1195          : std_logic;
   signal XLXN_1399          : std_logic;
   signal XLXN_1401          : std_logic;
   signal XLXN_1402          : std_logic;
   signal XLXN_1404          : std_logic;
   signal XLXN_1568          : std_logic;
   signal XLXN_1569          : std_logic;
   signal XLXN_1570          : std_logic;
   signal XLXN_1581          : std_logic;
   signal XLXN_1587          : std_logic;
   signal XLXN_1588          : std_logic;
   signal XLXN_1650          : std_logic;
   signal XLXN_1652          : std_logic;
   signal XLXN_2364          : std_logic;
   signal XLXN_2516          : std_logic;
   signal XLXN_2520          : std_logic;
   signal XLXN_2521          : std_logic;
   signal XLXN_2522          : std_logic;
   signal XLXN_2528          : std_logic;
   signal XLXN_2529          : std_logic;
   signal XLXN_2530          : std_logic;
   signal XLXN_2548          : std_logic;
   signal XLXN_2549          : std_logic;
   signal XLXN_2550          : std_logic;
   signal XLXN_2551          : std_logic;
   signal XLXN_2552          : std_logic;
   signal XLXN_2553          : std_logic;
   signal XLXN_2554          : std_logic;
   signal XLXN_2555          : std_logic;
   signal XLXN_2583          : std_logic;
   signal XLXN_2584          : std_logic;
   signal XLXN_2585          : std_logic;
   signal XLXN_2586          : std_logic;
   signal XLXN_2596          : std_logic;
   signal XLXN_2600          : std_logic;
   signal XLXN_2602          : std_logic;
   signal XLXN_2604          : std_logic;
   signal XLXN_2607          : std_logic;
   signal XLXN_2608          : std_logic;
   signal XLXN_2609          : std_logic;
   signal XLXN_2610          : std_logic;
   signal XLXN_2611          : std_logic;
   signal XLXN_2623          : std_logic;
   signal XLXN_2624          : std_logic;
   signal XLXN_2636          : std_logic;
   signal XLXN_2784          : std_logic;
   signal XLXN_2807          : std_logic;
   signal XLXN_2836          : std_logic;
   signal XLXN_2839          : std_logic;
   signal XLXN_2871          : std_logic;
   signal XLXN_2874          : std_logic;
   signal XLXN_2898          : std_logic;
   signal XLXN_2901          : std_logic;
   signal XLXN_2902          : std_logic;
   signal XLXN_2945          : std_logic;
   signal XLXN_2947          : std_logic;
   signal XLXN_3005          : std_logic;
   signal XLXN_3007          : std_logic;
   signal XLXN_3011          : std_logic;
   signal XLXN_3012          : std_logic;
   signal XLXN_3057          : std_logic;
   signal XLXN_3334          : std_logic;
   signal XLXN_3336          : std_logic;
   signal XLXN_3344          : std_logic;
   signal XLXN_3398          : std_logic;
   signal XLXN_3874          : std_logic;
   signal XLXN_3876          : std_logic;
   signal XLXN_3877          : std_logic;
   signal XLXN_4001          : std_logic;
   signal XLXN_4070          : std_logic;
   signal XLXN_4078          : std_logic;
   signal XLXN_4080          : std_logic;
   signal XLXN_4083          : std_logic;
   signal XLXN_4086          : std_logic;
   signal XLXN_4089          : std_logic;
   signal XLXN_4357          : std_logic;
   signal XLXN_4358          : std_logic;
   signal XLXN_4362          : std_logic;
   signal XLXN_4368          : std_logic;
   signal XLXN_4394          : std_logic;
   signal XLXN_4395          : std_logic;
   signal XLXN_4398          : std_logic;
   signal XLXN_4417          : std_logic;
   signal XLXN_4418          : std_logic;
   signal XLXN_4419          : std_logic;
   signal XLXN_4420          : std_logic;
   signal XLXN_4725          : std_logic;
   signal XLXN_4730          : std_logic;
   signal XLXN_4735          : std_logic;
   signal XLXN_4784          : std_logic;
   signal XLXN_4786          : std_logic;
   signal XLXN_4790          : std_logic;
   signal XLXN_5432          : std_logic;
   signal XLXN_5445          : std_logic;
   signal XLXN_5508          : std_logic;
   signal XLXN_5515          : std_logic;
   signal XLXN_5519          : std_logic;
   signal XLXN_5558          : std_logic;
   signal XLXN_5564          : std_logic;
   signal XLXN_5565          : std_logic;
   signal XLXN_5567          : std_logic;
   signal XLXN_5599          : std_logic;
   signal XLXN_5603          : std_logic;
   signal XLXN_5604          : std_logic;
   signal XLXN_5607          : std_logic;
   signal XLXN_5609          : std_logic;
   signal XLXN_5611          : std_logic;
   signal XLXN_5613          : std_logic;
   signal XLXN_5615          : std_logic;
   signal XLXN_5617          : std_logic;
   signal XLXN_5618          : std_logic;
   signal XLXN_5621          : std_logic;
   signal XLXN_5623          : std_logic;
   signal XLXN_5625          : std_logic;
   signal XLXN_5627          : std_logic;
   signal XLXN_6237          : std_logic;
   signal XLXN_6238          : std_logic;
   signal XLXN_6239          : std_logic;
   signal XLXN_6240          : std_logic;
   signal XLXN_6242          : std_logic;
   signal XLXN_6243          : std_logic;
   signal XLXN_6244          : std_logic;
   signal XLXN_6245          : std_logic;
   signal XLXN_6246          : std_logic;
   signal XLXN_6247          : std_logic;
   signal XLXN_6248          : std_logic;
   signal XLXN_6249          : std_logic;
   signal XLXN_6250          : std_logic;
   signal XLXN_6251          : std_logic;
   signal XLXN_6252          : std_logic;
   signal XLXN_6253          : std_logic;
   signal XLXN_6254          : std_logic;
   signal XLXN_6255          : std_logic;
   signal XLXN_6256          : std_logic;
   signal XLXN_6257          : std_logic;
   signal XLXN_6258          : std_logic;
   signal XLXN_6259          : std_logic;
   signal XLXN_6702          : std_logic;
   signal XLXN_6869          : std_logic;
   signal XLXN_6871          : std_logic;
   signal XLXN_6874          : std_logic;
   signal XLXN_6875          : std_logic;
   signal XLXN_6878          : std_logic;
   signal XLXN_7159          : std_logic;
   signal XLXN_7894          : std_logic;
   signal XLXN_7896          : std_logic;
   signal XLXN_7899          : std_logic;
   signal XLXN_7901          : std_logic;
   signal XLXN_8312          : std_logic;
   signal XLXN_8313          : std_logic;
   signal XLXN_8324          : std_logic;
   signal XLXN_8325          : std_logic;
   signal XLXN_8331          : std_logic;
   signal XLXN_8337          : std_logic;
   signal XLXN_8350          : std_logic;
   signal XLXN_8357          : std_logic;
   signal XLXN_8364          : std_logic;
   signal XLXN_8432          : std_logic;
   signal XLXN_8437          : std_logic;
   signal XLXN_8538          : std_logic;
   signal XLXN_8539          : std_logic;
   signal XLXN_8562          : std_logic;
   signal XLXN_8606          : std_logic;
   signal XLXN_8609          : std_logic;
   signal XLXN_8612          : std_logic;
   signal XLXN_8660          : std_logic;
   signal XLXN_8663          : std_logic;
   signal XLXN_8667          : std_logic;
   signal XLXN_8785          : std_logic;
   signal XLXN_8789          : std_logic;
   signal XLXN_8817          : std_logic;
   signal XLXN_8818          : std_logic;
   signal XLXN_8829          : std_logic;
   signal XLXN_8830          : std_logic;
   signal XLXN_8831          : std_logic;
   signal XLXN_8843          : std_logic;
   signal XLXN_8844          : std_logic;
   signal XLXN_8856          : std_logic;
   signal XLXN_8857          : std_logic;
   signal XLXN_8858          : std_logic;
   signal XLXN_8859          : std_logic;
   signal XLXN_8860          : std_logic;
   signal XLXN_8861          : std_logic;
   signal XLXN_8862          : std_logic;
   signal XLXN_8863          : std_logic;
   signal XLXN_8963          : std_logic;
   signal XLXN_8966          : std_logic;
   signal XLXN_8999          : std_logic;
   signal XLXN_9001          : std_logic;
   signal XLXN_9002          : std_logic;
   signal XLXN_9069          : std_logic;
   signal XLXN_9077          : std_logic;
   signal XLXN_9100          : std_logic;
   signal XLXN_9104          : std_logic;
   signal XLXN_9105          : std_logic;
   signal XLXN_9106          : std_logic;
   signal XLXN_9107          : std_logic;
   signal XLXN_9108          : std_logic;
   signal XLXN_9109          : std_logic;
   signal XLXN_9110          : std_logic;
   signal XLXN_9111          : std_logic;
   signal XLXN_9112          : std_logic;
   signal XLXN_9143          : std_logic;
   signal XLXN_9144          : std_logic;
   signal XLXN_9146          : std_logic;
   signal XLXN_9161          : std_logic;
   signal XLXN_9162          : std_logic;
   signal XLXN_9164          : std_logic;
   signal XLXN_9272          : std_logic;
   signal XLXN_9273          : std_logic;
   signal XLXN_9282          : std_logic;
   signal XLXN_9284          : std_logic;
   signal XLXN_9285          : std_logic;
   signal XLXN_9288          : std_logic;
   signal XLXN_9297          : std_logic;
   signal XLXN_9492          : std_logic;
   signal XLXN_9500          : std_logic;
   signal XLXN_9697          : std_logic;
   signal XLXN_9698          : std_logic;
   signal XLXN_9702          : std_logic;
   signal XLXN_9709          : std_logic;
   signal XLXN_9710          : std_logic;
   signal XLXN_9713          : std_logic;
   signal XLXN_9714          : std_logic;
   signal XLXN_9715          : std_logic;
   signal XLXN_9717          : std_logic;
   signal XLXN_9720          : std_logic;
   signal XLXN_9722          : std_logic;
   signal XLXN_9735          : std_logic;
   signal XLXN_9747          : std_logic;
   signal XLXN_9872          : std_logic;
   signal XLXN_9874          : std_logic;
   signal XLXN_9877          : std_logic;
   signal XLXN_9878          : std_logic;
   signal XLXN_9880          : std_logic;
   signal XLXN_9884          : std_logic;
   signal XLXN_9925          : std_logic;
   signal XLXN_9927          : std_logic;
   signal XLXN_9928          : std_logic;
   signal XLXN_9934          : std_logic;
   signal XLXN_9936          : std_logic;
   signal XLXN_9939          : std_logic;
   signal XLXN_10053         : std_logic;
   signal XLXN_10054         : std_logic;
   signal XLXN_10055         : std_logic;
   signal XLXN_10056         : std_logic;
   signal XLXN_10057         : std_logic;
   signal XLXN_10062         : std_logic;
   signal XLXN_10115         : std_logic;
   signal XLXN_10124         : std_logic;
   signal XLXN_10131         : std_logic;
   signal XLXN_10188         : std_logic;
   signal XLXN_10190         : std_logic;
   signal XLXN_10191         : std_logic;
   signal XLXN_10193         : std_logic;
   signal XLXN_10216         : std_logic;
   signal XLXN_10219         : std_logic;
   signal XLXN_10223         : std_logic;
   signal XLXN_10224         : std_logic;
   signal XLXN_10229         : std_logic;
   signal XLXN_10235         : std_logic;
   signal XLXN_10242         : std_logic;
   signal XLXN_10252         : std_logic;
   signal XLXN_10274         : std_logic;
   signal XLXN_10275         : std_logic;
   signal XLXN_10276         : std_logic;
   signal XLXN_10288         : std_logic;
   signal XLXN_10350         : std_logic;
   signal XLXN_10356         : std_logic;
   signal XLXN_10364         : std_logic;
   signal XLXN_10559         : std_logic;
   signal XLXN_10561         : std_logic;
   signal XLXN_10562         : std_logic;
   signal XLXN_10656         : std_logic;
   signal XLXN_10660         : std_logic;
   signal XLXN_10665         : std_logic;
   signal XLXN_10687         : std_logic;
   signal XLXN_10720         : std_logic;
   signal XLXN_10721         : std_logic;
   signal XLXN_10743         : std_logic;
   signal XLXN_10745         : std_logic;
   signal XLXN_10748         : std_logic;
   signal XLXN_10749         : std_logic;
   signal XLXN_10755         : std_logic;
   signal XLXN_10757         : std_logic;
   signal XLXN_10784         : std_logic;
   signal XLXN_10785         : std_logic;
   signal XLXN_10796         : std_logic;
   signal XLXN_10808         : std_logic;
   signal XLXN_10809         : std_logic;
   signal XLXN_10812         : std_logic;
   signal XLXN_10813         : std_logic;
   signal XLXN_10815         : std_logic;
   signal XLXN_10816         : std_logic;
   signal XLXN_10817         : std_logic;
   signal XLXN_10818         : std_logic;
   signal XLXN_10819         : std_logic;
   signal XLXN_10866         : std_logic;
   signal XLXN_10873         : std_logic;
   signal C_HR_DUMMY         : std_logic;
   component dff1inv
      port ( din  : in    std_logic; 
             clk  : in    std_logic; 
             qout : out   std_logic);
   end component;
   
   component dff1
      port ( din  : in    std_logic; 
             clk  : in    std_logic; 
             qout : out   std_logic);
   end component;
   
   component IBUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFG : COMPONENT is "LVTTL";
   attribute BOX_TYPE of IBUFG : COMPONENT is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : COMPONENT is "LVTTL";
   attribute SLEW of OBUF : COMPONENT is "SLOW";
   attribute DRIVE of OBUF : COMPONENT is "12";
   attribute BOX_TYPE of OBUF : COMPONENT is "BLACK_BOX";
   
   component counter22
      port ( clk     : in    std_logic; 
             en      : in    std_logic; 
             rst     : in    std_logic; 
             count21 : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component AND8_MXILINX_ccb
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             I6 : in    std_logic; 
             I7 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component NOR12_MXILINX_ccb
      port ( I0  : in    std_logic; 
             I1  : in    std_logic; 
             I10 : in    std_logic; 
             I11 : in    std_logic; 
             I2  : in    std_logic; 
             I3  : in    std_logic; 
             I4  : in    std_logic; 
             I5  : in    std_logic; 
             I6  : in    std_logic; 
             I7  : in    std_logic; 
             I8  : in    std_logic; 
             I9  : in    std_logic; 
             O   : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component FDC
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDC : COMPONENT is "0";
   attribute BOX_TYPE of FDC : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component tris16
      port ( en   : in    std_logic; 
             inp  : in    std_logic_vector (15 downto 0); 
             outp : out   std_logic_vector (15 downto 0));
   end component;
   
   component dff12_nce
      port ( clk  : in    std_logic; 
             ce   : in    std_logic; 
             din  : in    std_logic_vector (11 downto 0); 
             qout : out   std_logic_vector (11 downto 0));
   end component;
   
   component dff12inv
      port ( clk  : in    std_logic; 
             din  : in    std_logic_vector (11 downto 0); 
             qout : out   std_logic_vector (11 downto 0));
   end component;
   
   component FDCP
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDCP : COMPONENT is "0";
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
   component dff8
      port ( clk  : in    std_logic; 
             din  : in    std_logic_vector (7 downto 0); 
             qout : out   std_logic_vector (7 downto 0));
   end component;
   
   component dff8inv
      port ( clk  : in    std_logic; 
             din  : in    std_logic_vector (7 downto 0); 
             qout : out   std_logic_vector (7 downto 0));
   end component;
   
   component D4_16E_MXILINX_ccb
      port ( A0  : in    std_logic; 
             A1  : in    std_logic; 
             A2  : in    std_logic; 
             A3  : in    std_logic; 
             E   : in    std_logic; 
             D0  : out   std_logic; 
             D1  : out   std_logic; 
             D10 : out   std_logic; 
             D11 : out   std_logic; 
             D12 : out   std_logic; 
             D13 : out   std_logic; 
             D14 : out   std_logic; 
             D15 : out   std_logic; 
             D2  : out   std_logic; 
             D3  : out   std_logic; 
             D4  : out   std_logic; 
             D5  : out   std_logic; 
             D6  : out   std_logic; 
             D7  : out   std_logic; 
             D8  : out   std_logic; 
             D9  : out   std_logic);
   end component;
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component counter5
      port ( clk   : in    std_logic; 
             en    : in    std_logic; 
             rst   : in    std_logic; 
             count : out   std_logic_vector (4 downto 0));
   end component;
   
   component NAND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2 : COMPONENT is "BLACK_BOX";
   
   component OR6_MXILINX_ccb
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component delay
      port ( INCLK : in    std_logic; 
             CNTR  : in    std_logic_vector (7 downto 0); 
             DOUT  : out   std_logic; 
             DIN   : in    std_logic);
   end component;
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : COMPONENT is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component CLKDLL
      -- synopsys translate_off
      generic( CLKDV_DIVIDE : real :=  2.000000);
      -- synopsys translate_on
      port ( CLKFB  : in    std_logic; 
             CLKIN  : in    std_logic; 
             RST    : in    std_logic; 
             CLK0   : out   std_logic; 
             CLK180 : out   std_logic; 
             CLK270 : out   std_logic; 
             CLK2X  : out   std_logic; 
             CLK90  : out   std_logic; 
             CLKDV  : out   std_logic; 
             LOCKED : out   std_logic);
   end component;
   attribute CLKDV_DIVIDE of CLKDLL : COMPONENT is "2.000000";
   attribute DUTY_CYCLE_CORRECTION of CLKDLL : COMPONENT is "true";
   attribute BOX_TYPE of CLKDLL : COMPONENT is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : COMPONENT is "BLACK_BOX";
   
   component bidir16a
      port ( en    : in    std_logic; 
             idata : in    std_logic_vector (15 downto 0); 
             data  : out   std_logic_vector (15 downto 0); 
             d     : inout std_logic_vector (15 downto 0));
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : COMPONENT is "LVTTL";
   attribute BOX_TYPE of IBUF : COMPONENT is "BLACK_BOX";
   
   component mux1
      port ( a   : in    std_logic; 
             b   : in    std_logic; 
             sel : in    std_logic; 
             q   : out   std_logic);
   end component;
   
   component mux8
      port ( sel : in    std_logic; 
             a   : in    std_logic_vector (7 downto 0); 
             b   : in    std_logic_vector (7 downto 0); 
             q   : out   std_logic_vector (7 downto 0));
   end component;
   
   component AND6_MXILINX_ccb
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component counter32
      port ( clk   : in    std_logic; 
             en    : in    std_logic; 
             rst   : in    std_logic; 
             count : out   std_logic_vector (31 downto 0));
   end component;
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component dff2inv_nce
      port ( clk  : in    std_logic; 
             din  : in    std_logic_vector (1 downto 0); 
             qout : out   std_logic_vector (1 downto 0));
   end component;
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component OR5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR5 : COMPONENT is "BLACK_BOX";
   
   component dff4inv_nce
      port ( CLK  : in    std_logic; 
             DIN  : in    std_logic_vector (3 downto 0); 
             QOUT : out   std_logic_vector (3 downto 0));
   end component;
   
   component dff8inv_nce
      port ( CLK  : in    std_logic; 
             DIN  : in    std_logic_vector (7 downto 0); 
             QOUT : out   std_logic_vector (7 downto 0));
   end component;
   
   component BUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFT : COMPONENT is "BLACK_BOX";
   
   component counter16
      port ( clk   : in    std_logic; 
             en    : in    std_logic; 
             rst   : in    std_logic; 
             count : out   std_logic_vector (15 downto 0));
   end component;
   
   component NOR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4 : COMPONENT is "BLACK_BOX";
   
   component dff16
      port ( clk  : in    std_logic; 
             din  : in    std_logic_vector (15 downto 0); 
             qout : out   std_logic_vector (15 downto 0));
   end component;
   
   component OR7_MXILINX_ccb
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             I6 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OR8_MXILINX_ccb
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             I6 : in    std_logic; 
             I7 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_44 : LABEL is "XLXI_44_0";
   attribute HU_SET of XLXI_55 : LABEL is "XLXI_55_1";
   attribute HU_SET of XLXI_833 : LABEL is "XLXI_833_7";
   attribute HU_SET of XLXI_834 : LABEL is "XLXI_834_8";
   attribute HU_SET of XLXI_835 : LABEL is "XLXI_835_11";
   attribute HU_SET of XLXI_836 : LABEL is "XLXI_836_10";
   attribute HU_SET of XLXI_867 : LABEL is "XLXI_867_13";
   attribute HU_SET of XLXI_880 : LABEL is "XLXI_880_19";
   attribute HU_SET of XLXI_1019 : LABEL is "XLXI_1019_2";
   attribute HU_SET of XLXI_2285 : LABEL is "XLXI_2285_3";
   attribute HU_SET of XLXI_2856 : LABEL is "XLXI_2856_14";
   attribute HU_SET of XLXI_2858 : LABEL is "XLXI_2858_20";
   attribute HU_SET of XLXI_2860 : LABEL is "XLXI_2860_4";
   attribute HU_SET of XLXI_2861 : LABEL is "XLXI_2861_5";
   attribute HU_SET of XLXI_2863 : LABEL is "XLXI_2863_6";
   attribute HU_SET of XLXI_2880 : LABEL is "XLXI_2880_21";
   attribute HU_SET of XLXI_2881 : LABEL is "XLXI_2881_22";
   attribute HU_SET of XLXI_3185 : LABEL is "XLXI_3185_9";
   attribute HU_SET of XLXI_3186 : LABEL is "XLXI_3186_12";
   attribute HU_SET of XLXI_3213 : LABEL is "XLXI_3213_17";
   attribute HU_SET of XLXI_3214 : LABEL is "XLXI_3214_15";
   attribute HU_SET of XLXI_3215 : LABEL is "XLXI_3215_16";
   attribute HU_SET of XLXI_3216 : LABEL is "XLXI_3216_18";
   attribute HU_SET of XLXI_3223 : LABEL is "XLXI_3223_23";
   attribute HU_SET of XLXI_3224 : LABEL is "XLXI_3224_24";
   attribute HU_SET of XLXI_3225 : LABEL is "XLXI_3225_25";
   attribute HU_SET of XLXI_3908 : LABEL is "XLXI_3908_26";
   attribute HU_SET of XLXI_3909 : LABEL is "XLXI_3909_27";
   attribute HU_SET of XLXI_4058 : LABEL is "XLXI_4058_28";
   attribute HU_SET of XLXI_4341 : LABEL is "XLXI_4341_29";
begin
   C_HR <= C_HR_DUMMY;
   XLXI_1 : dff1inv
      port map (clk=>CLOCKA, din=>VME_DS0, qout=>DDS0);
   
   XLXI_2 : dff1
      port map (clk=>CLOCKA, din=>CYC, qout=>XLXN_409);
   
   XLXI_5 : IBUFG
      port map (I=>CLOCK_TTC, O=>XLXN_3334);
   
   XLXI_11 : OBUF
      port map (I=>XLXN_10115, O=>FPGA_LOCK);
   
   XLXI_12 : counter22
      port map (clk=>CLOCKA, en=>XLXN_3398, rst=>XLXN_10252,
            count21=>XLXN_10873);
   
   XLXI_14 : VCC
      port map (P=>XLXN_3398);
   
   XLXI_15 : INV
      port map (I=>XLXN_10873, O=>TTC_LED);
   
   XLXI_44 : AND8_MXILINX_ccb
      port map (I0=>XLXN_166, I1=>VME_AM5, I2=>VME_AM4, I3=>VME_AM3,
            I4=>VME_AM0, I5=>VME_IACK, I6=>XLXN_160, I7=>VME_A0, O=>XLXN_201);
   
   XLXI_47 : INV
      port map (I=>VME_AM1, O=>XLXN_160);
   
   XLXI_48 : INV
      port map (I=>VME_DEC, O=>XLXN_166);
   
   XLXI_55 : NOR12_MXILINX_ccb
      port map (I0=>VME_AS, I1=>VME_A15, I2=>VME_A14, I3=>VME_A13, I4=>VME_A12,
            I5=>VME_A11, I6=>VME_A10, I7=>VME_A9, I8=>VME_A8, I9=>VME_A8,
            I10=>VME_A8, I11=>VME_A8, O=>XLXN_202);
   
   XLXI_59 : AND2
      port map (I0=>XLXN_202, I1=>XLXN_201, O=>XLXN_203);
   
   XLXI_62 : FDC
      port map (C=>XLXN_409, CLR=>XLXN_405, D=>XLXN_203, Q=>ACK1);
   
   XLXI_63 : dff1inv
      port map (clk=>CLOCKA, din=>VME_DS1, qout=>DDS1);
   
   XLXI_64 : OR2
      port map (I0=>DDS1, I1=>DDS0, O=>CYC);
   
   XLXI_66 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_405, D=>ACK1, Q=>ACK);
   
   XLXI_67 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_405, D=>ACK, Q=>XLXN_225);
   
   XLXI_68 : INV
      port map (I=>XLXN_225, O=>FPGA_DACK);
   
   XLXI_121 : INV
      port map (I=>VME_WR, O=>NWR);
   
   XLXI_162 : BUF
      port map (I=>XLXN_688, O=>BCN(13));
   
   XLXI_163 : BUF
      port map (I=>XLXN_689, O=>BCN(14));
   
   XLXI_164 : BUF
      port map (I=>XLXN_683, O=>BCN(15));
   
   XLXI_165 : BUF
      port map (I=>XLXN_682, O=>EVL(13));
   
   XLXI_166 : BUF
      port map (I=>XLXN_681, O=>EVL(14));
   
   XLXI_167 : BUF
      port map (I=>XLXN_680, O=>EVL(15));
   
   XLXI_168 : BUF
      port map (I=>XLXN_675, O=>EVH(13));
   
   XLXI_169 : BUF
      port map (I=>XLXN_674, O=>EVH(14));
   
   XLXI_170 : BUF
      port map (I=>XLXN_673, O=>EVH(15));
   
   XLXI_270 : GND
      port map (G=>XLXN_688);
   
   XLXI_279 : GND
      port map (G=>XLXN_673);
   
   XLXI_280 : GND
      port map (G=>XLXN_674);
   
   XLXI_281 : GND
      port map (G=>XLXN_675);
   
   XLXI_282 : GND
      port map (G=>XLXN_680);
   
   XLXI_283 : GND
      port map (G=>XLXN_681);
   
   XLXI_284 : GND
      port map (G=>XLXN_682);
   
   XLXI_285 : GND
      port map (G=>XLXN_683);
   
   XLXI_286 : GND
      port map (G=>XLXN_689);
   
   XLXI_305 : tris16
      port map (en=>READ12, inp(15 downto 0)=>BCN(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_306 : tris16
      port map (en=>READ13, inp(15 downto 0)=>EVL(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_307 : tris16
      port map (en=>READ14, inp(15 downto 0)=>EVH(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_329 : dff12_nce
      port map (ce=>T_BCNTSTR, clk=>CLOCKA, din(11 downto 0)=>T_BCNT(11 downto
            0), qout(11 downto 0)=>TA(11 downto 0));
   
   XLXI_334 : dff12inv
      port map (clk=>CLOCKA, din(11 downto 0)=>TA(11 downto 0), qout(11 downto
            0)=>BCN(11 downto 0));
   
   XLXI_336 : dff12_nce
      port map (ce=>T_EVCNTLSTR, clk=>CLOCKA, din(11 downto 0)=>T_BCNT(11
            downto 0), qout(11 downto 0)=>TB(11 downto 0));
   
   XLXI_340 : dff12_nce
      port map (ce=>T_EVCNTHSTR, clk=>CLOCKA, din(11 downto 0)=>T_BCNT(11
            downto 0), qout(11 downto 0)=>TC(11 downto 0));
   
   XLXI_342 : dff12inv
      port map (clk=>CLOCKA, din(11 downto 0)=>TB(11 downto 0), qout(11 downto
            0)=>EVL(11 downto 0));
   
   XLXI_343 : dff12inv
      port map (clk=>CLOCKA, din(11 downto 0)=>TC(11 downto 0), qout(11 downto
            0)=>EVH(11 downto 0));
   
   XLXI_344 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8829, qout=>BCN(12));
   
   XLXI_345 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8830, qout=>EVL(12));
   
   XLXI_346 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8831, qout=>EVH(12));
   
   XLXI_395 : BUF
      port map (I=>XLXN_3057, O=>COM(15));
   
   XLXI_397 : tris16
      port map (en=>READ16, inp(15 downto 0)=>INCOM(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_398 : tris16
      port map (en=>READ15, inp(15 downto 0)=>COM(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_399 : tris16
      port map (en=>READ17, inp(15 downto 0)=>DATE(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_446 : BUF
      port map (I=>XLXN_10815, O=>DATE(0));
   
   XLXI_447 : BUF
      port map (I=>XLXN_10755, O=>DATE(1));
   
   XLXI_448 : BUF
      port map (I=>XLXN_10816, O=>DATE(2));
   
   XLXI_449 : BUF
      port map (I=>XLXN_10757, O=>DATE(3));
   
   XLXI_450 : BUF
      port map (I=>XLXN_10721, O=>DATE(4));
   
   XLXI_451 : BUF
      port map (I=>XLXN_10819, O=>DATE(5));
   
   XLXI_452 : BUF
      port map (I=>XLXN_10818, O=>DATE(6));
   
   XLXI_453 : BUF
      port map (I=>XLXN_10242, O=>DATE(7));
   
   XLXI_454 : BUF
      port map (I=>XLXN_10817, O=>DATE(8));
   
   XLXI_455 : BUF
      port map (I=>XLXN_10748, O=>DATE(9));
   
   XLXI_456 : BUF
      port map (I=>XLXN_10720, O=>DATE(10));
   
   XLXI_457 : BUF
      port map (I=>XLXN_6702, O=>DATE(11));
   
   XLXI_458 : BUF
      port map (I=>XLXN_1187, O=>DATE(12));
   
   XLXI_459 : BUF
      port map (I=>XLXN_1188, O=>DATE(13));
   
   XLXI_460 : BUF
      port map (I=>XLXN_1194, O=>DATE(14));
   
   XLXI_461 : BUF
      port map (I=>XLXN_1195, O=>DATE(15));
   
   XLXI_468 : GND
      port map (G=>XLXN_1195);
   
   XLXI_469 : GND
      port map (G=>XLXN_1194);
   
   XLXI_470 : GND
      port map (G=>XLXN_1188);
   
   XLXI_546 : tris16
      port map (en=>READ11, inp(15 downto 0)=>STAT(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_559 : FDCP
      port map (C=>XLXN_1401, CLR=>RESET_ER, D=>XLXN_1401, PRE=>XLXN_1399,
            Q=>STAT(8));
   
   XLXI_560 : FDCP
      port map (C=>XLXN_1404, CLR=>RESET_ER, D=>XLXN_1404, PRE=>XLXN_1402,
            Q=>STAT(9));
   
   XLXI_564 : INV
      port map (I=>T_DBERRSTR, O=>XLXN_1402);
   
   XLXI_565 : INV
      port map (I=>T_SINERRSTR, O=>XLXN_1399);
   
   XLXI_566 : GND
      port map (G=>XLXN_1401);
   
   XLXI_567 : GND
      port map (G=>XLXN_1404);
   
   XLXI_568 : INV
      port map (I=>I_TMB_RESERVED_IN0, O=>STAT(3));
   
   XLXI_569 : INV
      port map (I=>I_TMB_RESERVED_IN1, O=>STAT(4));
   
   XLXI_570 : INV
      port map (I=>I_TMB_RESERVED_IN2, O=>STAT(5));
   
   XLXI_571 : INV
      port map (I=>I_TMB_RESERVED_IN3, O=>STAT(6));
   
   XLXI_572 : INV
      port map (I=>I_TMB_RESERVED_IN4, O=>STAT(7));
   
   XLXI_573 : INV
      port map (I=>I_DMB_RESERVED_IN0, O=>STAT(0));
   
   XLXI_574 : INV
      port map (I=>I_DMB_RESERVED_IN1, O=>STAT(1));
   
   XLXI_575 : INV
      port map (I=>I_DMB_RESERVED_IN2, O=>STAT(2));
   
   XLXI_582 : BUF
      port map (I=>T_READY, O=>STAT(12));
   
   XLXI_583 : BUF
      port map (I=>XLXN_7159, O=>STAT(13));
   
   XLXI_584 : BUF
      port map (I=>TLR, O=>STAT(14));
   
   XLXI_585 : BUF
      port map (I=>TLQ, O=>STAT(15));
   
   XLXI_595 : dff8
      port map (clk=>WRL1, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRA(7 downto 0));
   
   XLXI_596 : dff8
      port map (clk=>WRH1, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRA(15 downto 8));
   
   XLXI_597 : dff8
      port map (clk=>WRL2, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRB(7 downto 0));
   
   XLXI_598 : dff8
      port map (clk=>WRH2, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRB(15 downto 8));
   
   XLXI_599 : dff8
      port map (clk=>WRL3, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRC(7 downto 0));
   
   XLXI_600 : dff8
      port map (clk=>WRH3, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRC(15 downto 8));
   
   XLXI_601 : dff8
      port map (clk=>WRL4, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRD(7 downto 0));
   
   XLXI_602 : dff8
      port map (clk=>WRH4, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRD(15 downto 8));
   
   XLXI_603 : dff8
      port map (clk=>WRL5, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRE(7 downto 0));
   
   XLXI_604 : dff8
      port map (clk=>WRH5, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRE(15 downto 8));
   
   XLXI_605 : tris16
      port map (en=>READ1, inp(15 downto 0)=>CSRA(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_606 : tris16
      port map (en=>READ2, inp(15 downto 0)=>CSRB(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_607 : tris16
      port map (en=>READ3, inp(15 downto 0)=>CSRC(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_608 : tris16
      port map (en=>READ4, inp(15 downto 0)=>CSRD(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_609 : tris16
      port map (en=>READ5, inp(15 downto 0)=>CSRE(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_610 : dff8
      port map (clk=>WRL6, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRF(7 downto 0));
   
   XLXI_611 : dff8
      port map (clk=>WRH6, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRF(15 downto 8));
   
   XLXI_612 : tris16
      port map (en=>READ6, inp(15 downto 0)=>CSRF(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_613 : INV
      port map (I=>CSRF(3), O=>FPGA_SIG4);
   
   XLXI_615 : INV
      port map (I=>CSRF(5), O=>FPGA_SIG6);
   
   XLXI_616 : INV
      port map (I=>CSRF(6), O=>FPGA_SIG7);
   
   XLXI_617 : INV
      port map (I=>CSRF(7), O=>FPGA_SIG8);
   
   XLXI_618 : INV
      port map (I=>CSRF(8), O=>FPGA_SIG9);
   
   XLXI_619 : INV
      port map (I=>CSRF(9), O=>FPGA_SIG10);
   
   XLXI_620 : INV
      port map (I=>CSRF(10), O=>FPGA_SIG11);
   
   XLXI_621 : INV
      port map (I=>CSRF(11), O=>FPGA_SIG12);
   
   XLXI_622 : INV
      port map (I=>CSRF(12), O=>FPGA_SIG13);
   
   XLXI_623 : INV
      port map (I=>CSRF(13), O=>FPGA_SIG14);
   
   XLXI_624 : INV
      port map (I=>CSRF(14), O=>FPGA_SIG15);
   
   XLXI_648 : INV
      port map (I=>CSRF(0), O=>FPGA_SIG1);
   
   XLXI_649 : INV
      port map (I=>CSRF(1), O=>FPGA_SIG2);
   
   XLXI_650 : INV
      port map (I=>CSRF(2), O=>FPGA_SIG3);
   
   XLXI_680 : FDC
      port map (C=>WRL2, CLR=>VME_STR1, D=>XLXN_1570, Q=>XLXN_1569);
   
   XLXI_681 : FDC
      port map (C=>CLOCKA, CLR=>VME_STR1, D=>XLXN_1569, Q=>XLXN_1568);
   
   XLXI_686 : VCC
      port map (P=>XLXN_1570);
   
   XLXI_687 : dff1
      port map (clk=>CLOCKA, din=>XLXN_1568, qout=>VME_STR1);
   
   XLXI_690 : FDC
      port map (C=>WRL3, CLR=>VME_STR2, D=>XLXN_1588, Q=>XLXN_1587);
   
   XLXI_691 : FDC
      port map (C=>CLOCKA, CLR=>VME_STR2, D=>XLXN_1587, Q=>XLXN_1581);
   
   XLXI_692 : dff1
      port map (clk=>CLOCKA, din=>XLXN_1581, qout=>VME_STR2);
   
   XLXI_695 : VCC
      port map (P=>XLXN_1588);
   
   XLXI_703 : dff8
      port map (clk=>CLOCKA, din(7 downto 0)=>CSRC(7 downto 0), qout(7 downto
            0)=>DB(7 downto 0));
   
   XLXI_704 : dff8inv
      port map (clk=>CLOCKA, din(7 downto 0)=>DA(7 downto 0), qout(7 downto
            0)=>V_DATA(7 downto 0));
   
   XLXI_726 : FDCP
      port map (C=>XLXN_1652, CLR=>RESET_ER, D=>XLXN_1652, PRE=>XLXN_1650,
            Q=>STAT(10));
   
   XLXI_727 : INV
      port map (I=>QP_ERR, O=>XLXN_1650);
   
   XLXI_728 : GND
      port map (G=>XLXN_1652);
   
   XLXI_745 : INV
      port map (I=>QP_LOCK, O=>STAT(11));
   
   XLXI_772 : dff8
      port map (clk=>WRL7, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRG(7 downto 0));
   
   XLXI_773 : dff8
      port map (clk=>WRH7, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRG(15 downto 8));
   
   XLXI_774 : dff8
      port map (clk=>WRL8, din(7 downto 0)=>DATA(7 downto 0), qout(7 downto
            0)=>CSRH(7 downto 0));
   
   XLXI_775 : dff8
      port map (clk=>WRH8, din(7 downto 0)=>DATA(15 downto 8), qout(7 downto
            0)=>CSRH(15 downto 8));
   
   XLXI_778 : OBUF
      port map (I=>CSRG(2), O=>QP_RESTART);
   
   XLXI_779 : OBUF
      port map (I=>CSRG(3), O=>QP_EXCNT);
   
   XLXI_780 : OBUF
      port map (I=>CSRG(4), O=>QP_FSEL0);
   
   XLXI_781 : OBUF
      port map (I=>CSRG(5), O=>QP_FSEL1);
   
   XLXI_782 : OBUF
      port map (I=>CSRG(6), O=>QP_FSEL2);
   
   XLXI_783 : OBUF
      port map (I=>CSRG(7), O=>QP_FSEL3);
   
   XLXI_784 : tris16
      port map (en=>READ7, inp(15 downto 0)=>CSRG(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_785 : tris16
      port map (en=>READ8, inp(15 downto 0)=>CSRH(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_786 : INV
      port map (I=>VME_A5, O=>NA5);
   
   XLXI_794 : IBUFG
      port map (I=>CLOCK_Q, O=>CLOCKB);
   
   XLXI_795 : IBUFG
      port map (I=>CLOCK_VME, O=>CLOCKC);
   
   XLXI_833 : D4_16E_MXILINX_ccb
      port map (A0=>CA2, A1=>CA3, A2=>CA4, A3=>CA5, E=>XLXN_8312, D0=>open,
            D1=>C_BX0, D2=>open, D3=>C_L1RESET, D4=>C_HR_DUMMY, D5=>open,
            D6=>open, D7=>open, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_834 : D4_16E_MXILINX_ccb
      port map (A0=>CA2, A1=>CA3, A2=>CA4, A3=>CA5, E=>XLXN_8313, D0=>C_TMB_HR,
            D1=>C_ALCT_HR, D2=>C_DMB_HR, D3=>C_MPC_HR, D4=>C_CFEB0,
            D5=>C_CFEB1, D6=>C_CFEB2, D7=>C_SETHOLD, D8=>C_PULSE_S,
            D9=>C_PULSE_A, D10=>C_CLCT_ET, D11=>C_ALCT_ET, D12=>C_SR,
            D13=>C_DMB_SR, D14=>C_TMB_SR, D15=>C_MPC_SR);
   
   XLXI_835 : D4_16E_MXILINX_ccb
      port map (A0=>DA(2), A1=>DA(3), A2=>DA(4), A3=>DA(5), E=>XLXN_8324,
            D0=>open, D1=>D_BX0, D2=>open, D3=>D_L1RESET, D4=>D_HR, D5=>open,
            D6=>open, D7=>open, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_836 : D4_16E_MXILINX_ccb
      port map (A0=>DA(2), A1=>DA(3), A2=>DA(4), A3=>DA(5), E=>XLXN_8325,
            D0=>D_TMB_HR, D1=>D_ALCT_HR, D2=>D_DMB_HR, D3=>D_MPC_HR,
            D4=>D_CFEB0, D5=>D_CFEB1, D6=>D_CFEB2, D7=>D_SETHOLD,
            D8=>D_PULSE_S, D9=>D_PULSE_A, D10=>D_CLCT_ET, D11=>D_ALCT_ET,
            D12=>D_SR, D13=>D_DMB_SR, D14=>D_TMB_SR, D15=>D_MPC_SR);
   
   XLXI_849 : INV
      port map (I=>CA6, O=>NCA6);
   
   XLXI_850 : INV
      port map (I=>CA7, O=>NCA7);
   
   XLXI_851 : INV
      port map (I=>DA(6), O=>NDA6);
   
   XLXI_852 : INV
      port map (I=>DA(7), O=>NDA7);
   
   XLXI_853 : AND3
      port map (I0=>CSTR, I1=>NCA7, I2=>NCA6, O=>XLXN_8312);
   
   XLXI_854 : AND3
      port map (I0=>CSTR, I1=>NCA7, I2=>CA6, O=>XLXN_8313);
   
   XLXI_855 : AND3
      port map (I0=>DSTR, I1=>NDA7, I2=>NDA6, O=>XLXN_8324);
   
   XLXI_856 : AND3
      port map (I0=>DSTR, I1=>NDA7, I2=>DA(6), O=>XLXN_8325);
   
   XLXI_863 : INV
      port map (I=>VME_A6, O=>NA6);
   
   XLXI_867 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8350,
            D0=>open, D1=>open, D2=>WL19, D3=>WL20, D4=>WL21, D5=>WL22,
            D6=>open, D7=>open, D8=>WL25, D9=>WL26, D10=>WL27, D11=>WL28,
            D12=>WL29, D13=>WL30, D14=>WL31, D15=>open);
   
   XLXI_880 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8357,
            D0=>WL33, D1=>WL34, D2=>WL35, D3=>WL36, D4=>WL37, D5=>WL38,
            D6=>WL39, D7=>WL40, D8=>WL41, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_910 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2583, qout=>XLXN_2604);
   
   XLXI_911 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2604, qout=>XLXN_5445);
   
   XLXI_912 : counter5
      port map (clk=>CLOCKA, en=>XLXN_5445, rst=>XLXN_5432, count(4 downto
            0)=>COUNTA(4 downto 0));
   
   XLXI_913 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10191, qout=>XLXN_2607);
   
   XLXI_915 : OR2
      port map (I0=>RESET, I1=>XLXN_2607, O=>XLXN_5432);
   
   XLXI_916 : INV
      port map (I=>XLXN_5445, O=>V_TMB_HR);
   
   XLXI_920 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2584, qout=>XLXN_2596);
   
   XLXI_921 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2596, qout=>XLXN_5519);
   
   XLXI_922 : counter5
      port map (clk=>CLOCKA, en=>XLXN_5519, rst=>XLXN_5508, count(4 downto
            0)=>COUNTB(4 downto 0));
   
   XLXI_923 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10190, qout=>XLXN_2608);
   
   XLXI_924 : OR2
      port map (I0=>RESET, I1=>XLXN_2608, O=>XLXN_5508);
   
   XLXI_925 : INV
      port map (I=>XLXN_5519, O=>V_ALCT_HR);
   
   XLXI_929 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2585, qout=>XLXN_2600);
   
   XLXI_930 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2600, qout=>XLXN_5565);
   
   XLXI_931 : counter5
      port map (clk=>CLOCKA, en=>XLXN_5565, rst=>RESDMBHR, count(4 downto
            0)=>COUNTC(4 downto 0));
   
   XLXI_932 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10193, qout=>XLXN_2609);
   
   XLXI_933 : OR2
      port map (I0=>RESET, I1=>XLXN_2609, O=>RESDMBHR);
   
   XLXI_934 : INV
      port map (I=>XLXN_5565, O=>V_DMB_HR);
   
   XLXI_938 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2586, qout=>XLXN_2602);
   
   XLXI_939 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2602, qout=>XLXN_5564);
   
   XLXI_940 : counter5
      port map (clk=>CLOCKA, en=>XLXN_5564, rst=>XLXN_5558, count(4 downto
            0)=>COUNTD(4 downto 0));
   
   XLXI_941 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10188, qout=>XLXN_2610);
   
   XLXI_942 : OR2
      port map (I0=>RESET, I1=>XLXN_2610, O=>XLXN_5558);
   
   XLXI_943 : INV
      port map (I=>XLXN_5564, O=>V_MPC_HR);
   
   XLXI_948 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2364, qout=>XLXN_8966);
   
   XLXI_951 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_8966, D=>XLXN_2551, Q=>XLXN_2364);
   
   XLXI_958 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_8963, D=>XLXN_2552, Q=>XLXN_2522);
   
   XLXI_959 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2522, qout=>XLXN_8963);
   
   XLXI_964 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4786, D=>XLXN_2554, Q=>XLXN_2549);
   
   XLXI_965 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2549, qout=>XLXN_4786);
   
   XLXI_970 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4784, D=>XLXN_2555, Q=>XLXN_2550);
   
   XLXI_971 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2550, qout=>XLXN_4784);
   
   XLXI_982 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4790, D=>XLXN_2553, Q=>XLXN_2548);
   
   XLXI_983 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2548, qout=>XLXN_4790);
   
   XLXI_988 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4725, D=>XLXN_2528, Q=>XLXN_2521);
   
   XLXI_989 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2521, qout=>XLXN_4725);
   
   XLXI_995 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4730, D=>XLXN_2529, Q=>XLXN_2520);
   
   XLXI_996 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2520, qout=>XLXN_4730);
   
   XLXI_1001 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4735, D=>XLXN_2530, Q=>XLXN_2611);
   
   XLXI_1002 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2611, qout=>XLXN_4735);
   
   XLXI_1004 : AND2
      port map (I0=>VME_WR, I1=>ACK1, O=>EN_READ);
   
   XLXI_1005 : NAND2
      port map (I0=>CYC, I1=>VME_RES, O=>XLXN_405);
   
   XLXI_1009 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2623, qout=>XLXN_2624);
   
   XLXI_1010 : dff1
      port map (clk=>CLOCKA, din=>XLXN_2624, qout=>XLXN_2636);
   
   XLXI_1011 : counter5
      port map (clk=>CLOCKA, en=>XLXN_2636, rst=>XLXN_5567, count(4 downto
            0)=>COUNTE(4 downto 0));
   
   XLXI_1012 : dff1
      port map (clk=>CLOCKA, din=>XLXN_8789, qout=>XLXN_8785);
   
   XLXI_1014 : INV
      port map (I=>XLXN_2636, O=>V_PULSE_S);
   
   XLXI_1019 : OR6_MXILINX_ccb
      port map (I0=>WL50, I1=>WL49, I2=>D_PULSE, I3=>C_PULSE, I4=>D_PULSE_S,
            I5=>C_PULSE_S, O=>PULSES);
   
   XLXI_1080 : delay
      port map (CNTR(7 downto 0)=>CSRE(7 downto 0), DIN=>ICCBL1A,
            INCLK=>CLOCKA, DOUT=>XLXN_10796);
   
   XLXI_1081 : dff1
      port map (clk=>CLOCKA, din=>T_L1A, qout=>XLXN_2784);
   
   XLXI_1082 : NOR2
      port map (I0=>CSRA(3), I1=>XLXN_2784, O=>L1A_0);
   
   XLXI_1095 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4001, D=>XLXN_2807, Q=>XLXN_3874);
   
   XLXI_1102 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4078, D=>XLXN_2839, Q=>XLXN_3876);
   
   XLXI_1104 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4070, D=>XLXN_2836, Q=>XLXN_3877);
   
   XLXI_1116 : NOR2
      port map (I0=>XLXN_10274, I1=>CSRA(4), O=>L1A_2);
   
   XLXI_1117 : NOR2
      port map (I0=>XLXN_10275, I1=>CSRA(12), O=>L1A_3);
   
   XLXI_1118 : NOR2
      port map (I0=>XLXN_10276, I1=>CSRA(11), O=>L1A_4);
   
   XLXI_1120 : NAND2
      port map (I0=>DISABLE, I1=>XLXN_10796, O=>ICCBL1AD);
   
   XLXI_1123 : FDCP
      port map (C=>XLXN_2874, CLR=>XLXN_2898, D=>XLXN_2874, PRE=>XLXN_9001,
            Q=>XLXN_2871);
   
   XLXI_1124 : INV
      port map (I=>XLXN_2871, O=>DISABLE);
   
   XLXI_1125 : GND
      port map (G=>XLXN_2874);
   
   XLXI_1134 : OR4
      port map (I0=>XLXN_2902, I1=>XLXN_2901, I2=>RESET, I3=>WL29,
            O=>XLXN_2898);
   
   XLXI_1135 : NOR2
      port map (I0=>I_TMB_L1A_REL, I1=>CSRA(14), O=>XLXN_2901);
   
   XLXI_1136 : NOR2
      port map (I0=>I_DMB_L1A_REL, I1=>CSRA(15), O=>XLXN_2902);
   
   XLXI_1139 : NAND2
      port map (I0=>DISABLE, I1=>XLXN_10784, O=>XLXN_10808);
   
   XLXI_1140 : NAND2
      port map (I0=>DISABLE, I1=>XLXN_10785, O=>XLXN_10809);
   
   XLXI_1157 : AND2
      port map (I0=>ICCBL1A, I1=>XLXN_4395, O=>XLXN_2945);
   
   XLXI_1158 : AND2
      port map (I0=>ICCBL1A, I1=>XLXN_4394, O=>XLXN_2947);
   
   XLXI_1186 : FDC
      port map (C=>CLOCKA, CLR=>TEMPC, D=>XLXN_3005, Q=>XLXN_3011);
   
   XLXI_1187 : FDC
      port map (C=>CLOCKA, CLR=>TEMPD, D=>XLXN_3007, Q=>XLXN_3012);
   
   XLXI_1188 : dff1
      port map (clk=>CLOCKA, din=>XLXN_3011, qout=>TEMPC);
   
   XLXI_1189 : dff1
      port map (clk=>CLOCKA, din=>XLXN_3012, qout=>TEMPD);
   
   XLXI_1194 : OBUF
      port map (I=>XLXN_4398, O=>FPGA_OUT2);
   
   XLXI_1195 : OBUF
      port map (I=>XLXN_4420, O=>FPGA_OUT1);
   
   XLXI_1196 : OBUF
      port map (I=>XLXN_4419, O=>FPGA_OUT3);
   
   XLXI_1197 : OBUF
      port map (I=>XLXN_4418, O=>FPGA_OUT4);
   
   XLXI_1198 : OBUF
      port map (I=>XLXN_4417, O=>FPGA_OUT5);
   
   XLXI_1199 : delay
      port map (CNTR(7 downto 0)=>CSRE(15 downto 8), DIN=>XLXN_10812,
            INCLK=>CLOCKA, DOUT=>XLXN_10784);
   
   XLXI_1200 : delay
      port map (CNTR(7 downto 0)=>CSRE(15 downto 8), DIN=>XLXN_10813,
            INCLK=>CLOCKA, DOUT=>XLXN_10785);
   
   XLXI_1209 : dff1
      port map (clk=>CLOCKB, din=>VME_AM2, qout=>XLXN_3057);
   
   XLXI_1321 : CLKDLL
      port map (CLKFB=>CLOCKA, CLKIN=>XLXN_3334, RST=>XLXN_3344, CLKDV=>open,
            CLK0=>XLXN_3336, CLK2X=>XLXN_10124, CLK90=>open, CLK180=>open,
            CLK270=>open, LOCKED=>LL);
   
   XLXI_1328 : BUFG
      port map (I=>XLXN_3336, O=>CLOCKA);
   
   XLXI_1330 : GND
      port map (G=>XLXN_3344);
   
   XLXI_1332 : bidir16a
      port map (en=>EN_READ, idata(15 downto 0)=>IDATA(15 downto 0), data(15
            downto 0)=>EXT_DAT(15 downto 0), d(15 downto 0)=>VME_D(15 downto
            0));
   
   XLXI_1372 : IBUFG
      port map (I=>CLOCK_80, O=>CLOCKD);
   
   XLXI_1576 : dff1
      port map (clk=>CLOCKA, din=>XLXN_3874, qout=>XLXN_4001);
   
   XLXI_1577 : dff1
      port map (clk=>CLOCKA, din=>XLXN_3876, qout=>XLXN_4078);
   
   XLXI_1578 : dff1
      port map (clk=>CLOCKA, din=>XLXN_3877, qout=>XLXN_4070);
   
   XLXI_1582 : INV
      port map (I=>XLXN_4070, O=>XLXN_10276);
   
   XLXI_1583 : INV
      port map (I=>XLXN_4078, O=>XLXN_10275);
   
   XLXI_1584 : INV
      port map (I=>XLXN_4001, O=>XLXN_10274);
   
   XLXI_1635 : FDC
      port map (C=>WL27, CLR=>XLXN_4001, D=>XLXN_6255, Q=>XLXN_2807);
   
   XLXI_1657 : FDC
      port map (C=>ASPULSE, CLR=>XLXN_4078, D=>XLXN_6256, Q=>XLXN_2839);
   
   XLXI_1658 : FDC
      port map (C=>PULSES, CLR=>XLXN_4070, D=>XLXN_6257, Q=>XLXN_2836);
   
   XLXI_1659 : FDC
      port map (C=>XLXN_8817, CLR=>TEMPC, D=>XLXN_6258, Q=>XLXN_3005);
   
   XLXI_1660 : FDC
      port map (C=>XLXN_8818, CLR=>TEMPD, D=>XLXN_6259, Q=>XLXN_3007);
   
   XLXI_1667 : FDC
      port map (C=>TLQ, CLR=>XLXN_4083, D=>XLXN_6254, Q=>XLXN_4080);
   
   XLXI_1668 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4083, D=>XLXN_4080, Q=>XLXN_4086);
   
   XLXI_1669 : dff1
      port map (clk=>CLOCKA, din=>XLXN_4086, qout=>XLXN_4083);
   
   XLXI_1670 : INV
      port map (I=>XLXN_4083, O=>XLXN_4089);
   
   XLXI_1671 : NOR2
      port map (I0=>XLXN_4089, I1=>CSRA(5), O=>L1A_1);
   
   XLXI_1783 : FDC
      port map (C=>TLR, CLR=>XLXN_4362, D=>XLXN_6253, Q=>XLXN_4358);
   
   XLXI_1784 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_4362, D=>XLXN_4358, Q=>XLXN_4357);
   
   XLXI_1793 : dff1
      port map (clk=>CLOCKA, din=>XLXN_4357, qout=>XLXN_4362);
   
   XLXI_1795 : INV
      port map (I=>XLXN_4362, O=>XLXN_4368);
   
   XLXI_1796 : NOR2
      port map (I0=>CSRA(6), I1=>XLXN_4368, O=>L1A_5);
   
   XLXI_1803 : INV
      port map (I=>CSRA(10), O=>XLXN_4395);
   
   XLXI_1804 : INV
      port map (I=>CSRA(9), O=>XLXN_4394);
   
   XLXI_1812 : dff1
      port map (clk=>CLOCKA, din=>IBX0, qout=>XLXN_4420);
   
   XLXI_1813 : dff1
      port map (clk=>CLOCKA, din=>CSTR, qout=>XLXN_4419);
   
   XLXI_1814 : dff1
      port map (clk=>CLOCKA, din=>DSTR, qout=>XLXN_4418);
   
   XLXI_1815 : dff1
      port map (clk=>CLOCKA, din=>IL1RESET, qout=>XLXN_4417);
   
   XLXI_1941 : FDC
      port map (C=>WL26, CLR=>XLXN_8966, D=>XLXN_6252, Q=>XLXN_2551);
   
   XLXI_1942 : FDC
      port map (C=>WL25, CLR=>XLXN_8963, D=>XLXN_6249, Q=>XLXN_2552);
   
   XLXI_1943 : FDC
      port map (C=>XLXN_8609, CLR=>XLXN_4730, D=>XLXN_6250, Q=>XLXN_2529);
   
   XLXI_1944 : FDC
      port map (C=>XLXN_8606, CLR=>XLXN_4735, D=>XLXN_6251, Q=>XLXN_2530);
   
   XLXI_1945 : FDC
      port map (C=>XLXN_8612, CLR=>XLXN_4725, D=>XLXN_6248, Q=>XLXN_2528);
   
   XLXI_1966 : FDC
      port map (C=>WL54, CLR=>XLXN_4790, D=>XLXN_6245, Q=>XLXN_2553);
   
   XLXI_1967 : FDC
      port map (C=>WL55, CLR=>XLXN_4786, D=>XLXN_6246, Q=>XLXN_2554);
   
   XLXI_1968 : FDC
      port map (C=>WL56, CLR=>XLXN_4784, D=>XLXN_6247, Q=>XLXN_2555);
   
   XLXI_2210 : FDC
      port map (C=>XLXN_2516, CLR=>XLXN_5432, D=>XLXN_6237, Q=>XLXN_2583);
   
   XLXI_2233 : FDC
      port map (C=>XLXN_5515, CLR=>XLXN_5508, D=>XLXN_6238, Q=>XLXN_2584);
   
   XLXI_2256 : FDC
      port map (C=>XLXN_10131, CLR=>RESDMBHR, D=>XLXN_6239, Q=>XLXN_2585);
   
   XLXI_2257 : FDC
      port map (C=>XLXN_5599, CLR=>XLXN_5558, D=>XLXN_6240, Q=>XLXN_2586);
   
   XLXI_2258 : FDC
      port map (C=>PULSES, CLR=>XLXN_5567, D=>XLXN_6244, Q=>XLXN_2623);
   
   XLXI_2269 : FDC
      port map (C=>PULSEA, CLR=>XLXN_5611, D=>XLXN_6242, Q=>XLXN_5603);
   
   XLXI_2270 : FDC
      port map (C=>XLXN_8843, CLR=>XLXN_10749, D=>XLXN_6243, Q=>XLXN_5607);
   
   XLXI_2271 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5603, qout=>XLXN_5604);
   
   XLXI_2272 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5604, qout=>XLXN_5613);
   
   XLXI_2273 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5613, qout=>XLXN_5618);
   
   XLXI_2274 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5607, qout=>XLXN_5609);
   
   XLXI_2275 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5609, qout=>XLXN_5615);
   
   XLXI_2276 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5615, qout=>XLXN_5617);
   
   XLXI_2277 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5618, qout=>XLXN_5621);
   
   XLXI_2278 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5617, qout=>XLXN_5623);
   
   XLXI_2279 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5623, qout=>XLXN_5627);
   
   XLXI_2280 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5621, qout=>XLXN_5625);
   
   XLXI_2281 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5625, qout=>XLXN_5611);
   
   XLXI_2282 : dff1
      port map (clk=>CLOCKC, din=>XLXN_5627, qout=>XLXN_10749);
   
   XLXI_2283 : INV
      port map (I=>XLXN_5611, O=>V_PULSE_A);
   
   XLXI_2284 : INV
      port map (I=>XLXN_10749, O=>VV_PULSE_A);
   
   XLXI_2285 : OR6_MXILINX_ccb
      port map (I0=>WL51, I1=>WL49, I2=>D_PULSE, I3=>C_PULSE, I4=>D_PULSE_A,
            I5=>C_PULSE_A, O=>PULSEA);
   
   XLXI_2408 : VCC
      port map (P=>XLXN_6237);
   
   XLXI_2409 : VCC
      port map (P=>XLXN_6238);
   
   XLXI_2410 : VCC
      port map (P=>XLXN_6239);
   
   XLXI_2411 : VCC
      port map (P=>XLXN_6240);
   
   XLXI_2412 : VCC
      port map (P=>XLXN_6242);
   
   XLXI_2413 : VCC
      port map (P=>XLXN_6243);
   
   XLXI_2414 : VCC
      port map (P=>XLXN_6244);
   
   XLXI_2415 : VCC
      port map (P=>XLXN_6252);
   
   XLXI_2416 : VCC
      port map (P=>XLXN_6249);
   
   XLXI_2417 : VCC
      port map (P=>XLXN_6248);
   
   XLXI_2418 : VCC
      port map (P=>XLXN_6250);
   
   XLXI_2419 : VCC
      port map (P=>XLXN_6251);
   
   XLXI_2420 : VCC
      port map (P=>XLXN_6245);
   
   XLXI_2421 : VCC
      port map (P=>XLXN_6246);
   
   XLXI_2422 : VCC
      port map (P=>XLXN_6247);
   
   XLXI_2423 : VCC
      port map (P=>XLXN_6259);
   
   XLXI_2424 : VCC
      port map (P=>XLXN_6258);
   
   XLXI_2425 : VCC
      port map (P=>XLXN_6257);
   
   XLXI_2426 : VCC
      port map (P=>XLXN_6256);
   
   XLXI_2427 : VCC
      port map (P=>XLXN_6255);
   
   XLXI_2428 : VCC
      port map (P=>XLXN_6254);
   
   XLXI_2429 : VCC
      port map (P=>XLXN_6253);
   
   XLXI_2715 : FDC
      port map (C=>FP_L1ACCEPT, CLR=>XLXN_6875, D=>XLXN_6874, Q=>XLXN_6869);
   
   XLXI_2716 : FDC
      port map (C=>CLOCKA, CLR=>XLXN_6875, D=>XLXN_6869, Q=>XLXN_6871);
   
   XLXI_2717 : dff1
      port map (clk=>CLOCKA, din=>XLXN_6871, qout=>XLXN_6875);
   
   XLXI_2718 : INV
      port map (I=>XLXN_6875, O=>XLXN_6878);
   
   XLXI_2719 : NOR2
      port map (I0=>CSRA(7), I1=>XLXN_6878, O=>L1A_6);
   
   XLXI_2720 : VCC
      port map (P=>XLXN_6874);
   
   XLXI_2729 : IBUF
      port map (I=>FPGA_INPUT1, O=>XLXN_8856);
   
   XLXI_2730 : IBUF
      port map (I=>FPGA_INPUT2, O=>XLXN_8857);
   
   XLXI_2731 : IBUF
      port map (I=>FPGA_INPUT3, O=>XLXN_8858);
   
   XLXI_2732 : IBUF
      port map (I=>FPGA_INPUT4, O=>XLXN_8859);
   
   XLXI_2733 : AND2
      port map (I0=>XLXN_8860, I1=>CSRA(8), O=>FP_L1ACCEPT);
   
   XLXI_2734 : AND2
      port map (I0=>XLXN_8861, I1=>CSRA(8), O=>FP_CET);
   
   XLXI_2735 : AND2
      port map (I0=>XLXN_8862, I1=>CSRA(8), O=>FP_AET);
   
   XLXI_2736 : AND2
      port map (I0=>XLXN_8863, I1=>CSRA(8), O=>FP_RSV);
   
   XLXI_2771 : mux1
      port map (a=>VME_STR1, b=>COM(8), sel=>MUX, q=>CSTR);
   
   XLXI_2772 : mux1
      port map (a=>VME_STR2, b=>COM(14), sel=>MUX, q=>DSTR);
   
   XLXI_2773 : dff1inv
      port map (clk=>CLOCKA, din=>CSTR, qout=>V_CMDSTR);
   
   XLXI_2774 : dff1inv
      port map (clk=>CLOCKA, din=>DSTR, qout=>V_DSTR);
   
   XLXI_2784 : mux8
      port map (a(7 downto 0)=>DB(7 downto 0), b(7 downto 0)=>INCOM(7 downto
            0), sel=>MUX, q(7 downto 0)=>DA(7 downto 0));
   
   XLXI_2823 : GND
      port map (G=>XLXN_7159);
   
   XLXI_2842 : INV
      port map (I=>VME_A7, O=>NA7);
   
   XLXI_2856 : AND6_MXILINX_ccb
      port map (I0=>NA7, I1=>VME_A6, I2=>NA5, I3=>ACK, I4=>NWR, I5=>DDS0,
            O=>XLXN_8350);
   
   XLXI_2858 : AND6_MXILINX_ccb
      port map (I0=>NA7, I1=>VME_A6, I2=>VME_A5, I3=>ACK, I4=>NWR, I5=>DDS0,
            O=>XLXN_8357);
   
   XLXI_2860 : OR6_MXILINX_ccb
      port map (I0=>WL34, I1=>WL33, I2=>C_HR_DUMMY, I3=>D_HR, I4=>D_TMB_HR,
            I5=>C_TMB_HR, O=>XLXN_2516);
   
   XLXI_2861 : OR6_MXILINX_ccb
      port map (I0=>WL36, I1=>WL33, I2=>C_HR_DUMMY, I3=>D_HR, I4=>D_ALCT_HR,
            I5=>C_ALCT_HR, O=>XLXN_5515);
   
   XLXI_2863 : OR6_MXILINX_ccb
      port map (I0=>WL37, I1=>WL33, I2=>C_HR_DUMMY, I3=>D_HR, I4=>D_MPC_HR,
            I5=>C_MPC_HR, O=>XLXN_5599);
   
   XLXI_2880 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8364,
            D0=>WL49, D1=>WL50, D2=>WL51, D3=>WL52, D4=>WL53, D5=>WL54,
            D6=>WL55, D7=>WL56, D8=>open, D9=>open, D10=>WL59, D11=>WL60,
            D12=>WL61, D13=>WL62, D14=>WL63, D15=>WL64);
   
   XLXI_2881 : AND6_MXILINX_ccb
      port map (I0=>VME_A7, I1=>NA6, I2=>NA5, I3=>ACK, I4=>NWR, I5=>DDS0,
            O=>XLXN_8364);
   
   XLXI_2906 : INV
      port map (I=>CSRF(4), O=>FPGA_SIG5);
   
   XLXI_2977 : IBUF
      port map (I=>T_L1ACC, O=>T_L1A);
   
   XLXI_2978 : IBUF
      port map (I=>I_TMB_L1A_REQUEST, O=>I_TMB_L1A_REQ);
   
   XLXI_2980 : IBUF
      port map (I=>I_DMB_L1A_RELEASE, O=>I_DMB_L1A_REL);
   
   XLXI_3053 : dff1inv
      port map (clk=>CLOCKA, din=>ICCBL1AD, qout=>XLXN_4398);
   
   XLXI_3080 : counter32
      port map (clk=>ICCBL1A, en=>XLXN_7899, rst=>XLXN_7901, count(31 downto
            0)=>L1ACCCNT(31 downto 0));
   
   XLXI_3082 : FDCP
      port map (C=>XLXN_7894, CLR=>XLXN_7896, D=>XLXN_7894, PRE=>WL60,
            Q=>XLXN_7899);
   
   XLXI_3083 : GND
      port map (G=>XLXN_7894);
   
   XLXI_3084 : OR2
      port map (I0=>RESET, I1=>WL61, O=>XLXN_7896);
   
   XLXI_3085 : OR2
      port map (I0=>RESET, I1=>WL59, O=>XLXN_7901);
   
   XLXI_3086 : tris16
      port map (en=>READ57, inp(15 downto 0)=>L1ACCCNT(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_3087 : tris16
      port map (en=>READ58, inp(15 downto 0)=>L1ACCCNT(31 downto 16), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_3185 : D4_16E_MXILINX_ccb
      port map (A0=>CA2, A1=>CA3, A2=>CA4, A3=>CA5, E=>XLXN_8331, D0=>open,
            D1=>open, D2=>open, D3=>open, D4=>open, D5=>C_PULSE, D6=>open,
            D7=>open, D8=>open, D9=>open, D10=>open, D11=>open, D12=>open,
            D13=>open, D14=>open, D15=>open);
   
   XLXI_3186 : D4_16E_MXILINX_ccb
      port map (A0=>DA(2), A1=>DA(3), A2=>DA(4), A3=>DA(5), E=>XLXN_8337,
            D0=>open, D1=>open, D2=>open, D3=>open, D4=>open, D5=>D_PULSE,
            D6=>open, D7=>open, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3202 : AND3
      port map (I0=>DSTR, I1=>DA(7), I2=>NDA6, O=>XLXN_8337);
   
   XLXI_3203 : AND3
      port map (I0=>CSTR, I1=>CA7, I2=>NCA6, O=>XLXN_8331);
   
   XLXI_3213 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8437,
            D0=>WRH1, D1=>WRH2, D2=>WRH3, D3=>WRH4, D4=>WRH5, D5=>WRH6,
            D6=>WRH7, D7=>WRH8, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3214 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8432,
            D0=>WRL1, D1=>WRL2, D2=>WRL3, D3=>WRL4, D4=>WRL5, D5=>WRL6,
            D6=>WRL7, D7=>WRL8, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3215 : AND6_MXILINX_ccb
      port map (I0=>NA7, I1=>NA6, I2=>VME_A5, I3=>ACK, I4=>NWR, I5=>DDS0,
            O=>XLXN_8432);
   
   XLXI_3216 : AND6_MXILINX_ccb
      port map (I0=>NA7, I1=>NA6, I2=>VME_A5, I3=>ACK, I4=>NWR, I5=>DDS1,
            O=>XLXN_8437);
   
   XLXI_3223 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8562,
            D0=>READ1, D1=>READ2, D2=>READ3, D3=>READ4, D4=>READ5, D5=>READ6,
            D6=>READ7, D7=>READ8, D8=>READ9, D9=>open, D10=>READ11,
            D11=>READ12, D12=>READ13, D13=>READ14, D14=>READ15, D15=>READ16);
   
   XLXI_3224 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8538,
            D0=>READ17, D1=>READ18, D2=>READ19, D3=>READ20, D4=>READ21,
            D5=>open, D6=>open, D7=>open, D8=>open, D9=>open, D10=>open,
            D11=>open, D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3225 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_8539,
            D0=>open, D1=>open, D2=>open, D3=>open, D4=>open, D5=>open,
            D6=>open, D7=>open, D8=>READ57, D9=>READ58, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3226 : AND5
      port map (I0=>NA7, I1=>NA6, I2=>VME_A5, I3=>VME_WR, I4=>ACK1,
            O=>XLXN_8562);
   
   XLXI_3227 : AND5
      port map (I0=>NA7, I1=>VME_A6, I2=>NA5, I3=>VME_WR, I4=>ACK1,
            O=>XLXN_8538);
   
   XLXI_3228 : AND5
      port map (I0=>VME_A7, I1=>NA6, I2=>NA5, I3=>VME_WR, I4=>ACK1,
            O=>XLXN_8539);
   
   XLXI_3234 : dff2inv_nce
      port map (clk=>CLOCKA, din(1 downto 0)=>T_BRCST(7 downto 6), qout(1
            downto 0)=>COM(7 downto 6));
   
   XLXI_3235 : OR3
      port map (I0=>D_BX0, I1=>C_BX0, I2=>XLXN_8966, O=>IBX0);
   
   XLXI_3246 : dff1inv
      port map (clk=>CLOCKA, din=>IBX0, qout=>V_BX0);
   
   XLXI_3251 : OR3
      port map (I0=>D_L1RESET, I1=>C_L1RESET, I2=>XLXN_8963, O=>IL1RESET);
   
   XLXI_3252 : dff1inv
      port map (clk=>CLOCKA, din=>IL1RESET, qout=>V_L1RESET);
   
   XLXI_3253 : OR2
      port map (I0=>WL39, I1=>WL38, O=>XLXN_8612);
   
   XLXI_3254 : OR2
      port map (I0=>WL40, I1=>WL38, O=>XLXN_8609);
   
   XLXI_3255 : OR2
      port map (I0=>WL41, I1=>WL38, O=>XLXN_8606);
   
   XLXI_3271 : OR5
      port map (I0=>C_TMB_SR, I1=>D_TMB_SR, I2=>D_SR, I3=>C_SR, I4=>XLXN_4725,
            O=>XLXN_8667);
   
   XLXI_3272 : OR5
      port map (I0=>D_DMB_SR, I1=>C_DMB_SR, I2=>D_SR, I3=>C_SR, I4=>XLXN_4730,
            O=>XLXN_8663);
   
   XLXI_3273 : OR5
      port map (I0=>C_MPC_SR, I1=>D_MPC_SR, I2=>D_SR, I3=>C_SR, I4=>XLXN_4735,
            O=>XLXN_8660);
   
   XLXI_3274 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8667, qout=>V_TMB_SR);
   
   XLXI_3275 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8663, qout=>V_DMB_SR);
   
   XLXI_3276 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_8660, qout=>V_MPC_SR);
   
   XLXI_3292 : OR3
      port map (I0=>D_CFEB0, I1=>C_CFEB0, I2=>XLXN_4790, O=>CCFEBA);
   
   XLXI_3293 : OR3
      port map (I0=>D_CFEB1, I1=>C_CFEB1, I2=>XLXN_4786, O=>CCFEBB);
   
   XLXI_3294 : OR3
      port map (I0=>D_CFEB2, I1=>C_CFEB2, I2=>XLXN_4784, O=>CCFEBC);
   
   XLXI_3295 : dff1inv
      port map (clk=>CLOCKA, din=>CCFEBA, qout=>V_CFEB0);
   
   XLXI_3296 : dff1inv
      port map (clk=>CLOCKA, din=>CCFEBB, qout=>V_CFEB1);
   
   XLXI_3297 : dff1inv
      port map (clk=>CLOCKA, din=>CCFEBC, qout=>V_CFEB2);
   
   XLXI_3305 : IBUF
      port map (I=>I_TMB_L1A_RELEASE, O=>I_TMB_L1A_REL);
   
   XLXI_3306 : OR2
      port map (I0=>RESET, I1=>XLXN_8785, O=>XLXN_5567);
   
   XLXI_3308 : AND2
      port map (I0=>COUNTE(2), I1=>COUNTE(4), O=>XLXN_8789);
   
   XLXI_3311 : dff1inv
      port map (clk=>CLOCKA, din=>T_BRCSTSTR1, qout=>COM(8));
   
   XLXI_3312 : dff1inv
      port map (clk=>CLOCKA, din=>T_DOUTSTR, qout=>COM(14));
   
   XLXI_3313 : dff1inv
      port map (clk=>CLOCKA, din=>T_BRCSTSTR2, qout=>COM(9));
   
   XLXI_3315 : OR2
      port map (I0=>FP_CET, I1=>WL52, O=>XLXN_8817);
   
   XLXI_3316 : OR2
      port map (I0=>FP_AET, I1=>WL53, O=>XLXN_8818);
   
   XLXI_3317 : OR4
      port map (I0=>D_CLCT_ET, I1=>TEMPC, I2=>XLXN_2945, I3=>C_CLCT_ET,
            O=>XLXN_10812);
   
   XLXI_3318 : OR4
      port map (I0=>D_ALCT_ET, I1=>TEMPD, I2=>XLXN_2947, I3=>C_ALCT_ET,
            O=>XLXN_10813);
   
   XLXI_3319 : dff1
      port map (clk=>CLOCKA, din=>T_BCNTSTR, qout=>XLXN_8829);
   
   XLXI_3320 : dff1
      port map (clk=>CLOCKA, din=>T_EVCNTLSTR, qout=>XLXN_8830);
   
   XLXI_3321 : dff1
      port map (clk=>CLOCKA, din=>T_EVCNTHSTR, qout=>XLXN_8831);
   
   XLXI_3322 : dff4inv_nce
      port map (CLK=>CLOCKA, DIN(3 downto 0)=>T_DQ(3 downto 0), QOUT(3 downto
            0)=>COM(13 downto 10));
   
   XLXI_3323 : dff8inv_nce
      port map (CLK=>CLOCKA, DIN(7 downto 0)=>T_DO(7 downto 0), QOUT(7 downto
            0)=>INCOM(7 downto 0));
   
   XLXI_3324 : dff8inv_nce
      port map (CLK=>CLOCKA, DIN(7 downto 0)=>T_SUBADD(7 downto 0), QOUT(7
            downto 0)=>INCOM(15 downto 8));
   
   XLXI_3331 : INV
      port map (I=>XLXN_8844, O=>XLXN_8843);
   
   XLXI_3333 : IBUF
      port map (I=>ASYNCP_TTC, O=>XLXN_8844);
   
   XLXI_3338 : INV
      port map (I=>XLXN_8856, O=>XLXN_8860);
   
   XLXI_3339 : INV
      port map (I=>XLXN_8857, O=>XLXN_8861);
   
   XLXI_3340 : INV
      port map (I=>XLXN_8858, O=>XLXN_8862);
   
   XLXI_3341 : INV
      port map (I=>XLXN_8859, O=>XLXN_8863);
   
   XLXI_3382 : AND2
      port map (I0=>XLXN_8999, I1=>CSRA(13), O=>XLXN_9002);
   
   XLXI_3385 : OR2
      port map (I0=>WL30, I1=>RESET, O=>RESET_ER);
   
   XLXI_3387 : INV
      port map (I=>CSRA(0), O=>MUX);
   
   XLXI_3388 : dff1inv
      port map (clk=>CLOCKA, din=>ICCBL1AD, qout=>XLXN_8999);
   
   XLXI_3389 : OR4
      port map (I0=>XLXN_9002, I1=>WL28, I2=>D_SETHOLD, I3=>C_SETHOLD,
            O=>XLXN_9001);
   
   XLXI_3406 : tris16
      port map (en=>READ9, inp(15 downto 0)=>ID(15 downto 0), outp(15 downto
            0)=>IDATA(15 downto 0));
   
   XLXI_3443 : BUF
      port map (I=>SERID, O=>XLXN_9069);
   
   XLXI_3444 : FDC
      port map (C=>SET1, CLR=>WL64, D=>XLXN_9069, Q=>ID(0));
   
   XLXI_3445 : FDC
      port map (C=>SET5, CLR=>WL64, D=>XLXN_9069, Q=>ID(1));
   
   XLXI_3446 : BUFT
      port map (I=>XLXN_9077, T=>XLXN_9492, O=>SERID);
   
   XLXI_3447 : GND
      port map (G=>XLXN_9077);
   
   XLXI_3457 : BUF
      port map (I=>XLXN_9104, O=>ID(6));
   
   XLXI_3458 : BUF
      port map (I=>XLXN_9105, O=>ID(7));
   
   XLXI_3459 : BUF
      port map (I=>XLXN_9106, O=>ID(8));
   
   XLXI_3460 : BUF
      port map (I=>XLXN_9107, O=>ID(9));
   
   XLXI_3461 : BUF
      port map (I=>XLXN_9108, O=>ID(10));
   
   XLXI_3462 : BUF
      port map (I=>XLXN_9109, O=>ID(11));
   
   XLXI_3463 : BUF
      port map (I=>XLXN_9110, O=>ID(12));
   
   XLXI_3464 : BUF
      port map (I=>XLXN_9111, O=>ID(13));
   
   XLXI_3465 : BUF
      port map (I=>XLXN_9112, O=>ID(14));
   
   XLXI_3466 : BUF
      port map (I=>XLXN_9100, O=>ID(15));
   
   XLXI_3544 : GND
      port map (G=>XLXN_9100);
   
   XLXI_3545 : GND
      port map (G=>XLXN_9112);
   
   XLXI_3546 : GND
      port map (G=>XLXN_9111);
   
   XLXI_3547 : GND
      port map (G=>XLXN_9110);
   
   XLXI_3548 : GND
      port map (G=>XLXN_9109);
   
   XLXI_3549 : GND
      port map (G=>XLXN_9108);
   
   XLXI_3550 : GND
      port map (G=>XLXN_9107);
   
   XLXI_3551 : GND
      port map (G=>XLXN_9106);
   
   XLXI_3552 : GND
      port map (G=>XLXN_9105);
   
   XLXI_3553 : GND
      port map (G=>XLXN_9104);
   
   XLXI_3586 : counter16
      port map (clk=>CLOCKA, en=>ENAB1, rst=>XLXN_9143, count(15 downto
            0)=>COUNTJ(15 downto 0));
   
   XLXI_3589 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9144, qout=>XLXN_9146);
   
   XLXI_3590 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9146, qout=>ENAB1);
   
   XLXI_3591 : dff1
      port map (clk=>CLOCKA, din=>COUNTJ(15), qout=>SET0);
   
   XLXI_3592 : OR3
      port map (I0=>WL64, I1=>RESET, I2=>SET0, O=>XLXN_9143);
   
   XLXI_3596 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9162, qout=>XLXN_9164);
   
   XLXI_3597 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9164, qout=>ENAB2);
   
   XLXI_3598 : counter16
      port map (clk=>CLOCKA, en=>ENAB2, rst=>XLXN_9161, count(15 downto
            0)=>COUNTK(15 downto 0));
   
   XLXI_3599 : dff1
      port map (clk=>CLOCKA, din=>COUNTK(12), qout=>SET1);
   
   XLXI_3600 : OR3
      port map (I0=>WL64, I1=>RESET, I2=>SET1, O=>XLXN_9161);
   
   XLXI_3676 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9272, qout=>XLXN_9273);
   
   XLXI_3677 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9273, qout=>ENAB3);
   
   XLXI_3678 : counter16
      port map (clk=>CLOCKA, en=>ENAB3, rst=>XLXN_9698, count(15 downto
            0)=>COUNTL(15 downto 0));
   
   XLXI_3679 : dff1
      port map (clk=>CLOCKA, din=>COUNTL(7), qout=>XLXN_9297);
   
   XLXI_3681 : FDC
      port map (C=>WL63, CLR=>XLXN_9284, D=>XLXN_9282, Q=>XLXN_9285);
   
   XLXI_3682 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9285, qout=>XLXN_9288);
   
   XLXI_3683 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9288, qout=>ENAB4);
   
   XLXI_3684 : VCC
      port map (P=>XLXN_9282);
   
   XLXI_3685 : counter16
      port map (clk=>CLOCKA, en=>ENAB4, rst=>XLXN_9284, count(15 downto
            0)=>COUNTM(15 downto 0));
   
   XLXI_3686 : dff1
      port map (clk=>CLOCKA, din=>COUNTM(9), qout=>SET5);
   
   XLXI_3687 : OR3
      port map (I0=>WL64, I1=>RESET, I2=>XLXN_9297, O=>XLXN_9698);
   
   XLXI_3688 : OR3
      port map (I0=>WL64, I1=>RESET, I2=>SET5, O=>XLXN_9284);
   
   XLXI_3776 : FDCP
      port map (C=>XLXN_9500, CLR=>WL64, D=>XLXN_9500, PRE=>SET6, Q=>ID(2));
   
   XLXI_3777 : GND
      port map (G=>XLXN_9500);
   
   XLXI_3890 : FDCP
      port map (C=>XLXN_9702, CLR=>XLXN_9143, D=>XLXN_9702, PRE=>WL62,
            Q=>XLXN_9144);
   
   XLXI_3891 : FDCP
      port map (C=>XLXN_9697, CLR=>XLXN_9698, D=>XLXN_9697, PRE=>WL63,
            Q=>XLXN_9272);
   
   XLXI_3892 : GND
      port map (G=>XLXN_9702);
   
   XLXI_3893 : GND
      port map (G=>XLXN_9697);
   
   XLXI_3894 : FDCP
      port map (C=>XLXN_9709, CLR=>XLXN_9713, D=>XLXN_9709, PRE=>WL65,
            Q=>XLXN_9715);
   
   XLXI_3895 : FDCP
      port map (C=>XLXN_9710, CLR=>XLXN_9714, D=>XLXN_9710, PRE=>WL66,
            Q=>XLXN_9720);
   
   XLXI_3896 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9715, qout=>XLXN_9717);
   
   XLXI_3897 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9717, qout=>WRZERO);
   
   XLXI_3898 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9720, qout=>XLXN_9722);
   
   XLXI_3899 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9722, qout=>WRONE);
   
   XLXI_3900 : counter16
      port map (clk=>CLOCKA, en=>WRZERO, rst=>XLXN_9713, count(15 downto
            0)=>COUNTN(15 downto 0));
   
   XLXI_3901 : counter16
      port map (clk=>CLOCKA, en=>WRONE, rst=>XLXN_9714, count(15 downto
            0)=>COUNTP(15 downto 0));
   
   XLXI_3902 : dff1
      port map (clk=>CLOCKA, din=>COUNTN(11), qout=>XLXN_9735);
   
   XLXI_3903 : dff1
      port map (clk=>CLOCKA, din=>COUNTP(8), qout=>SET3);
   
   XLXI_3904 : OR3
      port map (I0=>RESET, I1=>WL64, I2=>XLXN_9735, O=>XLXN_9713);
   
   XLXI_3905 : OR3
      port map (I0=>RESET, I1=>WL64, I2=>SET3, O=>XLXN_9714);
   
   XLXI_3906 : GND
      port map (G=>XLXN_9710);
   
   XLXI_3907 : GND
      port map (G=>XLXN_9709);
   
   XLXI_3908 : D4_16E_MXILINX_ccb
      port map (A0=>VME_A1, A1=>VME_A2, A2=>VME_A3, A3=>VME_A4, E=>XLXN_9747,
            D0=>WL65, D1=>WL66, D2=>open, D3=>open, D4=>open, D5=>open,
            D6=>open, D7=>open, D8=>open, D9=>open, D10=>open, D11=>open,
            D12=>open, D13=>open, D14=>open, D15=>open);
   
   XLXI_3909 : AND6_MXILINX_ccb
      port map (I0=>VME_A7, I1=>NA6, I2=>VME_A5, I3=>ACK, I4=>NWR, I5=>DDS0,
            O=>XLXN_9747);
   
   XLXI_3912 : NOR4
      port map (I0=>WRZERO, I1=>ENAB3, I2=>ENAB1, I3=>WRONE, O=>XLXN_9492);
   
   XLXI_3958 : FDCP
      port map (C=>XLXN_9877, CLR=>XLXN_9878, D=>XLXN_9877, PRE=>XLXN_9884,
            Q=>XLXN_9874);
   
   XLXI_3959 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9874, qout=>XLXN_9872);
   
   XLXI_3960 : dff1
      port map (clk=>CLOCKA, din=>XLXN_9872, qout=>XLXN_9880);
   
   XLXI_3961 : dff1
      port map (clk=>CLOCKA, din=>COUNTR(13), qout=>SET2);
   
   XLXI_3962 : OR3
      port map (I0=>RESET, I1=>WL64, I2=>SET2, O=>XLXN_9878);
   
   XLXI_3963 : counter16
      port map (clk=>CLOCKA, en=>XLXN_9880, rst=>XLXN_9878, count(15 downto
            0)=>COUNTR(15 downto 0));
   
   XLXI_3964 : GND
      port map (G=>XLXN_9877);
   
   XLXI_3965 : OR2
      port map (I0=>WL66, I1=>WL65, O=>XLXN_9884);
   
   XLXI_3966 : FDCP
      port map (C=>XLXN_10356, CLR=>WL64, D=>XLXN_10356, PRE=>SET2, Q=>ID(4));
   
   XLXI_3967 : GND
      port map (G=>XLXN_10356);
   
   XLXI_3982 : dff1
      port map (clk=>CLOCKA, din=>CSRB(0), qout=>XLXN_9925);
   
   XLXI_3983 : mux1
      port map (a=>XLXN_9927, b=>COM(0), sel=>MUX, q=>XLXN_9928);
   
   XLXI_3984 : AND2
      port map (I0=>VME_STR1, I1=>XLXN_9925, O=>XLXN_9927);
   
   XLXI_3985 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_9928, qout=>V_BCNTRES);
   
   XLXI_3986 : dff1
      port map (clk=>CLOCKA, din=>CSRB(1), qout=>XLXN_9939);
   
   XLXI_3987 : AND2
      port map (I0=>VME_STR1, I1=>XLXN_9939, O=>XLXN_9936);
   
   XLXI_3988 : mux1
      port map (a=>XLXN_9936, b=>COM(1), sel=>MUX, q=>XLXN_9934);
   
   XLXI_3989 : dff1inv
      port map (clk=>CLOCKA, din=>XLXN_9934, qout=>V_EVCNTRES);
   
   XLXI_4019 : mux1
      port map (a=>XLXN_10057, b=>COM(2), sel=>MUX, q=>CA2);
   
   XLXI_4020 : mux1
      port map (a=>XLXN_10062, b=>COM(3), sel=>MUX, q=>CA3);
   
   XLXI_4021 : mux1
      port map (a=>XLXN_10056, b=>COM(4), sel=>MUX, q=>CA4);
   
   XLXI_4022 : mux1
      port map (a=>XLXN_10055, b=>COM(5), sel=>MUX, q=>CA5);
   
   XLXI_4023 : mux1
      port map (a=>XLXN_10054, b=>COM(6), sel=>MUX, q=>CA6);
   
   XLXI_4024 : mux1
      port map (a=>XLXN_10053, b=>COM(7), sel=>MUX, q=>CA7);
   
   XLXI_4031 : dff1inv
      port map (clk=>CLOCKA, din=>CA2, qout=>V_CMD0);
   
   XLXI_4032 : dff1inv
      port map (clk=>CLOCKA, din=>CA3, qout=>V_CMD1);
   
   XLXI_4033 : dff1inv
      port map (clk=>CLOCKA, din=>CA4, qout=>V_CMD2);
   
   XLXI_4034 : dff1inv
      port map (clk=>CLOCKA, din=>CA5, qout=>V_CMD3);
   
   XLXI_4035 : dff1inv
      port map (clk=>CLOCKA, din=>CA6, qout=>V_CMD4);
   
   XLXI_4036 : dff1inv
      port map (clk=>CLOCKA, din=>CA7, qout=>V_CMD5);
   
   XLXI_4037 : dff1
      port map (clk=>CLOCKA, din=>CSRB(2), qout=>XLXN_10057);
   
   XLXI_4038 : dff1
      port map (clk=>CLOCKA, din=>CSRB(3), qout=>XLXN_10062);
   
   XLXI_4039 : dff1
      port map (clk=>CLOCKA, din=>CSRB(4), qout=>XLXN_10056);
   
   XLXI_4040 : dff1
      port map (clk=>CLOCKA, din=>CSRB(5), qout=>XLXN_10055);
   
   XLXI_4041 : dff1
      port map (clk=>CLOCKA, din=>CSRB(6), qout=>XLXN_10054);
   
   XLXI_4042 : dff1
      port map (clk=>CLOCKA, din=>CSRB(7), qout=>XLXN_10053);
   
   XLXI_4047 : dff1inv
      port map (clk=>CLOCKA, din=>T_BCNTRES, qout=>COM(0));
   
   XLXI_4048 : dff1inv
      port map (clk=>CLOCKA, din=>T_EVCNTRES, qout=>COM(1));
   
   XLXI_4051 : INV
      port map (I=>LL, O=>XLXN_10115);
   
   XLXI_4056 : dff16
      port map (clk=>CLOCK80, din(15 downto 0)=>EXT_DAT(15 downto 0), qout(15
            downto 0)=>DATA(15 downto 0));
   
   XLXI_4057 : BUFG
      port map (I=>XLXN_10124, O=>CLOCK80);
   
   XLXI_4058 : OR7_MXILINX_ccb
      port map (I0=>WL35, I1=>WL35, I2=>WL33, I3=>C_HR_DUMMY, I4=>D_HR,
            I5=>D_DMB_HR, I6=>C_DMB_HR, O=>XLXN_10131);
   
   XLXI_4087 : AND2
      port map (I0=>COUNTD(2), I1=>COUNTD(4), O=>XLXN_10188);
   
   XLXI_4088 : AND2
      port map (I0=>COUNTC(2), I1=>COUNTC(4), O=>XLXN_10193);
   
   XLXI_4089 : AND2
      port map (I0=>COUNTB(2), I1=>COUNTB(4), O=>XLXN_10190);
   
   XLXI_4090 : AND2
      port map (I0=>COUNTA(2), I1=>COUNTA(4), O=>XLXN_10191);
   
   XLXI_4102 : FDC
      port map (C=>WL31, CLR=>XLXN_10224, D=>XLXN_10216, Q=>XLXN_10219);
   
   XLXI_4103 : VCC
      port map (P=>XLXN_10216);
   
   XLXI_4104 : dff1
      port map (clk=>CLOCKC, din=>XLXN_10219, qout=>XLXN_10288);
   
   XLXI_4105 : dff1
      port map (clk=>CLOCKC, din=>XLXN_10288, qout=>XLXN_10223);
   
   XLXI_4107 : counter16
      port map (clk=>CLOCKC, en=>XLXN_10223, rst=>XLXN_10224, count(15 downto
            0)=>COUNTQ(15 downto 0));
   
   XLXI_4108 : AND2
      port map (I0=>COUNTQ(1), I1=>COUNTQ(10), O=>XLXN_10229);
   
   XLXI_4109 : dff1
      port map (clk=>CLOCKC, din=>XLXN_10229, qout=>XLXN_10235);
   
   XLXI_4110 : OR2
      port map (I0=>RESET, I1=>XLXN_10235, O=>XLXN_10224);
   
   XLXI_4115 : GND
      port map (G=>XLXN_10242);
   
   XLXI_4119 : IBUF
      port map (I=>FPGA_RESET, O=>XLXN_10687);
   
   XLXI_4120 : GND
      port map (G=>XLXN_10252);
   
   XLXI_4121 : dff8inv
      port map (clk=>TTCRXRS, din(7 downto 0)=>T_SUBADD(7 downto 0), qout(7
            downto 0)=>TTCID(15 downto 8));
   
   XLXI_4122 : dff8inv
      port map (clk=>TTCRXRS, din(7 downto 0)=>T_DO(7 downto 0), qout(7 downto
            0)=>TTCID(7 downto 0));
   
   XLXI_4123 : tris16
      port map (en=>READ18, inp(15 downto 0)=>TTCID(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_4125 : INV
      port map (I=>XLXN_10288, O=>TTCRXRS);
   
   XLXI_4126 : OBUF
      port map (I=>TTCRXRS, O=>RESET_TTCRX);
   
   XLXI_4149 : OBUF
      port map (I=>CSRG(1), O=>QP_RESET);
   
   XLXI_4152 : OBUF
      port map (I=>CSRG(0), O=>QP_MODE);
   
   XLXI_4162 : FDCP
      port map (C=>XLXN_10350, CLR=>WL64, D=>XLXN_10350, PRE=>SET5, Q=>ID(3));
   
   XLXI_4163 : GND
      port map (G=>XLXN_10350);
   
   XLXI_4168 : FDCP
      port map (C=>XLXN_10364, CLR=>XLXN_9161, D=>XLXN_10364, PRE=>SET0,
            Q=>XLXN_9162);
   
   XLXI_4169 : GND
      port map (G=>XLXN_10364);
   
   XLXI_4250 : FDCP
      port map (C=>XLXN_10559, CLR=>XLXN_10561, D=>XLXN_10559, PRE=>SET0,
            Q=>XLXN_10562);
   
   XLXI_4288 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10562, qout=>XLXN_10656);
   
   XLXI_4289 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10656, qout=>XLXN_10660);
   
   XLXI_4290 : dff1
      port map (clk=>CLOCKA, din=>COUNTX(15), qout=>SET6);
   
   XLXI_4291 : OR3
      port map (I0=>WL64, I1=>RESET, I2=>SET6, O=>XLXN_10561);
   
   XLXI_4292 : counter16
      port map (clk=>CLOCKA, en=>XLXN_10660, rst=>XLXN_10561, count(15 downto
            0)=>COUNTX(15 downto 0));
   
   XLXI_4293 : GND
      port map (G=>XLXN_10559);
   
   XLXI_4294 : BUF
      port map (I=>XLXN_10665, O=>ID(5));
   
   XLXI_4295 : GND
      port map (G=>XLXN_10665);
   
   XLXI_4301 : dff1
      port map (clk=>CLOCKD, din=>FP_RSV, qout=>TP19);
   
   XLXI_4303 : dff4inv_nce
      port map (CLK=>CLOCKA, DIN(3 downto 0)=>T_BRCST(5 downto 2), QOUT(3
            downto 0)=>COM(5 downto 2));
   
   XLXI_4315 : INV
      port map (I=>XLXN_10687, O=>RESET);
   
   XLXI_4328 : INV
      port map (I=>I_TMB_L1A_REL, O=>TLR);
   
   XLXI_4329 : INV
      port map (I=>I_TMB_L1A_REQ, O=>TLQ);
   
   XLXI_4330 : GND
      port map (G=>XLXN_10721);
   
   XLXI_4339 : VCC
      port map (P=>XLXN_10818);
   
   XLXI_4341 : OR8_MXILINX_ccb
      port map (I0=>L1A_7, I1=>L1A_6, I2=>L1A_5, I3=>L1A_4, I4=>L1A_3,
            I5=>L1A_2, I6=>L1A_1, I7=>L1A_0, O=>ICCBL1A);
   
   XLXI_4345 : NOR3
      port map (I0=>CCFEBC, I1=>CCFEBB, I2=>CCFEBA, O=>XLXN_10743);
   
   XLXI_4346 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10743, qout=>XLXN_10745);
   
   XLXI_4348 : NOR2
      port map (I0=>CSRA(2), I1=>XLXN_10745, O=>L1A_7);
   
   XLXI_4352 : OR2
      port map (I0=>XLXN_10749, I1=>XLXN_5611, O=>ASPULSE);
   
   XLXI_4357 : GND
      port map (G=>XLXN_10819);
   
   XLXI_4358 : VCC
      port map (P=>XLXN_10755);
   
   XLXI_4359 : VCC
      port map (P=>XLXN_10757);
   
   XLXI_4379 : dff1
      port map (clk=>CLOCKA, din=>ICCBL1AD, qout=>V_L1A);
   
   XLXI_4386 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10808, qout=>V_CLCT_ET);
   
   XLXI_4387 : dff1
      port map (clk=>CLOCKA, din=>XLXN_10809, qout=>V_ALCT_ET);
   
   XLXI_4388 : VCC
      port map (P=>XLXN_10815);
   
   XLXI_4389 : VCC
      port map (P=>XLXN_10816);
   
   XLXI_4390 : GND
      port map (G=>XLXN_10817);
   
   XLXI_4391 : GND
      port map (G=>XLXN_10748);
   
   XLXI_4392 : GND
      port map (G=>XLXN_10720);
   
   XLXI_4393 : GND
      port map (G=>XLXN_6702);
   
   XLXI_4394 : VCC
      port map (P=>XLXN_1187);
   
   XLXI_4409 : counter16
      port map (clk=>COM(8), en=>XLXN_10866, rst=>WL19, count(15 downto
            0)=>CMDSTRACNT(15 downto 0));
   
   XLXI_4410 : counter16
      port map (clk=>COM(9), en=>XLXN_10866, rst=>WL20, count(15 downto
            0)=>CMDSTRBNT(15 downto 0));
   
   XLXI_4411 : counter16
      port map (clk=>COM(14), en=>XLXN_10866, rst=>WL21, count(15 downto
            0)=>DATSTRNT(15 downto 0));
   
   XLXI_4412 : tris16
      port map (en=>READ19, inp(15 downto 0)=>CMDSTRACNT(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_4413 : tris16
      port map (en=>READ20, inp(15 downto 0)=>CMDSTRBNT(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_4414 : tris16
      port map (en=>READ21, inp(15 downto 0)=>DATSTRNT(15 downto 0), outp(15
            downto 0)=>IDATA(15 downto 0));
   
   XLXI_4415 : VCC
      port map (P=>XLXN_10866);
   
end BEHAVIORAL;


