library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;

entity counter22 is
    Port ( clk : in std_logic;
	        en : in std_logic;
			  rst : in std_logic;
			  count21 : out std_logic);
end counter22;

architecture behav of counter22 is

signal cnt : std_logic_vector (21 downto 0);

begin

process (clk, en, cnt, rst)
   begin
	if (rst = '1') then
	   cnt <= (others => '0');
   elsif (clk'event and clk = '1') then
	   if (en = '1') then
		cnt <= cnt + '1';
   end if;
	end if;
end process;
	count21 <= cnt(21);

end behav;
